<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\BagmanifestDetail;
use App\Models\BagmanifestSummary;
use App\Models\Booking;
use App\Models\Branch;
use App\Models\BranchAsignCity;
use App\Models\CityModel;
use App\Models\CountryModel;
use App\Models\customer;
use App\Models\ForwardingDetail;
use App\Models\ForwardingSummary;
use App\Models\Service;
use App\Models\Staff;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Validator;
use Yajra\DataTables\Facades\DataTables;

class Forwarding extends Controller
{
    private $x;
    private $i;
    private $count;
    public function index()
    {
        $countries = CountryModel::where('status', 1)->get();
        $cities = CityModel::where('status', 1)->get();
        $getservices = Service::where('status', 1)->get();
        $customer = customer::where('status', 1)->get();
        $branches = Branch::where('status', 1)->get();
        $status = DB::table('shipment_status')->get();
        return view('admin.forwarding.index_selection')->with(compact('countries', 'getservices', 'cities', 'customer', 'branches', 'status'));
    }

    public function nextstep()
    {
        $countries = CountryModel::where('status', 1)->get();
        $cities = CityModel::where('status', 1)->get();
        $getservices = Service::where('status', 1)->get();
        $customer = customer::where('status', 1)->get();
        $branches = Branch::where('status', 1)->get();
        $status = DB::table('shipment_status')->get();
        $getstaff = Staff::where('status', 1)->get();
        return view('admin.forwarding.index')->with(compact('countries', 'getservices', 'cities', 'customer', 'branches', 'status', 'getstaff'));
    }

    public function show($customer_filter, $orign_filter, $destination_filter, $branch_filter, $reservation)
    {
        try {
            $forwording = DB::table('bagmanifest_detail as bd')
                ->join('bagmanifest_summary as bs', 'bs.id', '=', 'bd.seal')
                ->join('customers as cus', 'cus.id', '=', 'bd.consignor_id')
                ->join('city', 'city.id', '=', 'bd.destination')
                ->join('city as c_city', 'c_city.id', '=', 'bd.orign')
                ->join('services as s', 's.id', '=', 'bd.service_type');

            if ($customer_filter != null && $customer_filter != 0)
                $forwording->whereIn('bd.consignor_id', [$customer_filter]);

            if ($orign_filter != null && $orign_filter != 0)
                $forwording->whereIn('cus.city_id', [$orign_filter]);

            if ($destination_filter != null && $destination_filter != 0)
                $forwording->whereIn('bd.destination', [$destination_filter]);

            if ($branch_filter != null && $branch_filter != 0) {
                $city_list = BranchAsignCity::wherein('branch_id', [$branch_filter])->select('city_id')->get();
                $branch_city_filter = "";
                foreach ($city_list as $city) {
                    if ($branch_city_filter == "")
                        $branch_city_filter = $branch_city_filter . "" . $city->city_id . "";
                    else
                        $branch_city_filter = $branch_city_filter . "," . $city->city_id . "";
                }

                $forwording->whereIn('bd.orign', [$branch_city_filter]);
            }

            $from_date = "";
            $to_date = "";
            $date_range = $reservation;
            if (!empty($date_range)) {
                $iparr = explode("|", trim($date_range));
                $from_date = trim($iparr[0]);
                $to_date = trim($iparr[1]);
            }

            $forwording->whereBetween('bd.pickup_date', [$from_date, $to_date]);
            $forwording->where('bd.is_forwod', '=', '0');
            $forwording->whereNotIn('bd.cn_no', DB::table('temp_table')->where('document', '=', 'Forwarding')->pluck('cn_no'));
            $forwording->orderBy('bd.pickup_date', 'asc');

            $forwording->select(
                'bd.cn_no',
                'bd.pickup_date',
                'bd.consignee_name',
                'bd.destination',
                'bd.weight',
                'bd.consignor_id',
                'bd.cod_amount',
                'city.name as destination_name',
                'cus.customer_name',
                'c_city.name as consignor_city',
                'bs.sign_ops',
                's.service_name',
                's.id as service_id'
            )->get();
            return DataTables::of($forwording)
                ->addColumn('checkbox', function ($data) {
                    return checkbox_show($data->cn_no);
                })
                ->addIndexColumn()
                ->rawColumns(['checkbox', 'DT_RowIndex'])
                ->make(true);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function addBMTempTable(Request $request)
    {
        if ($request->ajax()) {
            $validator = Validator::make($request->all(), [
                'check_all' => 'required'
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }

            foreach ($request->check_all as $value) {
                DB::table('temp_table')->insert([
                    'cn_no' => $value,
                    'document' => "Forwarding",
                    'user_entry' => Auth::User()->id,
                    'user_modify' => Auth::User()->id,
                    'created_at' => getCurrentDateTime(),
                    'updated_at' => getCurrentDateTime()
                ]);
            }
            return response()->json(['Forwarding Record Add successfully'], 200);
        }
        return 'false';
    }

    // public function sealMaxNumber()
    // {
    //     try {
    //         $max = ForwardingSummary::max('id');
    //         if ($max == null)
    //             $max = 0;
    //         return response()->json(['success' => 'successfull retrieve data', 'data' => $max], 200);
    //     } catch (\Exception $e) {
    //         dd($e->getMessage());
    //     }
    // }

    public function showFTempRecord()
    {
        try {
            $this->x = 0;
            $this->i = 0;
            $forwording = DB::table('bagmanifest_detail as bd')
                ->join('bagmanifest_summary as bs', 'bs.id', '=', 'bd.seal')
                ->join('customers as cus', 'cus.id', '=', 'bd.consignor_id')
                ->join('city', 'city.id', '=', 'bd.destination')
                ->join('city as c_city', 'c_city.id', '=', 'bd.orign')
                ->join('services as s', 's.id', '=', 'bd.service_type')
                ->where('bd.is_forwod', '=', '0')
                ->whereIn('bd.cn_no', DB::table('temp_table')->where('document', '=', 'Forwarding')->pluck('cn_no'))
                ->orderBy('bd.pickup_date', 'asc')
                ->select(
                    'bd.id as cn_no',
                    'bd.pickup_date',
                    'bd.consignee_name',
                    'bd.orign',
                    'bd.destination',
                    'bd.weight',
                    'bd.consignor_id',
                    'bd.cod_amount',
                    'city.name as destination_name',
                    'cus.customer_name',
                    'c_city.name as consignor_city',
                    'bs.sign_ops',
                    's.service_name',
                    's.id as service_id'
                )->get();

            $this->count = count($forwording);
            return DataTables::of($forwording)
                ->addColumn('checkbox', function ($data) {
                    $this->i++;
                    return '<input type="checkbox" class="chk_del"  name="chk_del_' . $this->i . '" value="' . $data->cn_no . '" >';
                })
                ->addColumn('sender_name', function ($data) {
                    $this->x++;
                    return '<input type="hidden" name="totalnum" value="' . $this->count . '" />
                    <input type="text"   class="form_control reciver_name"  name="reciver_name_' . $this->x . '" >
                    <input type="hidden" name="pickup_date_' . $this->x . '"  value="' . $data->pickup_date . '" />
                    <input type="hidden" name="consignor_name_' . $this->x . '"  value="' . $data->customer_name . '" />
                    <input type="hidden" name="consignor_id_' . $this->x . '"  value="' . $data->consignor_id . '" />
                    <input type="hidden" name="consignee_name_' . $this->x . '"  value="' . $data->consignee_name . '" />
                    <input type="hidden" name="orign_' . $this->x . '"  value="' . $data->orign . '" />
                    <input type="hidden" name="destination_' . $this->x . '"  value="' . $data->destination . '" />
                    <input type="hidden" name="weight_' . $this->x . '" id="weight' . $this->x . '" value="' . $data->weight . '" />
                    <input type="hidden" name="cod_amount_' . $this->x . '" id="cod_amount' . $this->x . '" value=" ' . $data->cod_amount . ' " />
                    <input type="hidden" name="service_type_' . $this->x . '" value=" ' . $data->service_id . ' " />
                    <input type="hidden" name="sign_ops_' . $this->x . '" id="sign_ops' . $this->x . '" value=" ' . $data->sign_ops . ' " />';
                })

                ->addIndexColumn()
                ->rawColumns(['checkbox', 'DT_RowIndex', 'sender_name'])
                ->make(true);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function addFW(Request $request)
    {
        if ($request->ajax()) {
            $validator = Validator::make($request->all(), [
                'forword_by' => 'required',
                'forword_date' => 'required',
                'driver' => 'required',
                'car_no' => 'required',
                'type' => 'required',
                'slipno' => 'required'
            ]);

            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            if ($request->totalnum > 0) {
                $forwarding = new ForwardingSummary;
                $forwarding->forword_date = $request->forword_date;
                $forwarding->driver = $request->driver;
                $forwarding->car_no = $request->car_no;
                $forwarding->type = $request->type;
                $forwarding->slipno = $request->slipno;
                $forwarding->sign_out_officer = $request->sign_out_officer;
                $forwarding->user_entry = Auth::User()->id;
                $forwarding->user_modify = Auth::User()->id;
                $forwarding->save();
            }
            $i = 1;
            while ($i <= $request->totalnum) {
                if (!empty($request->post('chk_del_' . $i))) {
                    $forwarding_detail = new ForwardingDetail;
                    $forwarding_detail->forward_id = $forwarding->id;
                    $forwarding_detail->cn_no = $request->post('chk_del_' . $i);
                    $forwarding_detail->consignor_id = $request->post('consignor_id_' . $i);
                    $forwarding_detail->consignor_name = $request->post('consignor_name_' . $i);
                    $forwarding_detail->consignee_name = $request->post('consignee_name_' . $i);
                    $forwarding_detail->orign = $request->post('orign_' . $i);
                    $forwarding_detail->destination = $request->post('destination_' . $i);
                    $forwarding_detail->weight = $request->post('weight_' . $i);
                    $forwarding_detail->service_type = $request->post('service_type_' . $i);
                    $forwarding_detail->reciver_name = $request->post('reciver_name_' . $i);
                    $forwarding_detail->user_entry = Auth::User()->id;
                    $forwarding_detail->user_modify = Auth::User()->id;
                    $forwarding_detail->save();

                    $bagDetail = BagmanifestDetail::findOrFail($request->post('chk_del_' . $i));
                    $bagDetail->is_forwod  = 1;
                    $bagDetail->user_modify = Auth::User()->id;
                    $bagDetail->update();
                }
                $i++;
            }

            DB::table('temp_table')
                ->where('user_entry', Auth::User()->id)
                ->where('document', "Forwarding")->delete();

            return response()->json(['success' => 'data is successfully updated'], 200);
        }
    }


    //report section  start
    public function ForwardingReport()
    {
        $cities = CityModel::where('status', 1)->get();
        $customer = customer::where('status', 1)->get();
        return view('admin.forwarding.report')->with(compact('customer', 'cities'));
    }

    public function getForwardingReport(Request $request)
    {
        try {
            $query = DB::table('forwarding_summary as fs')                
                ->join('forwarding_detail as fd', 'fd.forward_id', '=', 'fs.id')
                ->join('customers', 'customers.id', '=', 'fd.consignor_id', 'left')
                ->join('city', 'city.id', '=', 'fd.destination')
                ->join('city as c_city', 'c_city.id', '=', 'fd.orign')
                ->join('services', 'services.id', '=', 'fd.service_type');


                $from_date = null; // Initialize with null instead of empty string
                $to_date = null; // Initialize with null instead of empty string
                $date_range = $request->date_range;
                if (!empty($date_range)) {
                    $iparr = explode("|", trim($date_range));
                    $from_date = trim($iparr[0]);
                    $to_date = trim($iparr[1]);
                }
                
                // Check if both dates are not null before applying the date range filter
                if ($from_date !== null && $to_date !== null) {
                    $query = $query->whereBetween('fs.forword_date', [$from_date, $to_date]);
                }

            if (!empty($request->consignor_id) && $request->consignor_id != null) {
                $query = $query->where('fd.consignor_id', $request->consignor_id);
            }

            if (!empty($request->orign) && $request->orign != null) {
                $query = $query->where('fd.orign', $request->orign);
            }

            if (!empty($request->destination) && $request->destination != null) {
                $query = $query->where('fd.destination', $request->destination);
            }

            if (!empty($request->cn_no) && $request->cn_no != null) {
                $query = $query->where('fd.cn_no', $request->cn_no);
            }

            $query = $query->select(
                'fs.id',
                'fs.forword_by',
                'fs.forword_date',
                'fs.driver',
                'fs.car_no',
                'fs.type',
                'fs.slipno',
                'fs.sign_out_officer',
                'fd.cn_no',
                'fd.consignor_id',
                'fd.consignor_name',
                'fd.consignee_name',
                'fd.orign',
                'fd.destination',
                'fd.weight',
                'fd.service_type',
                'fd.reciver_name',
                'services.service_name',
                'city.name as consignee_city_name',
                'c_city.name as consignor_city_name'
            )->get();            

            $html = "";
            $html .= '<table width="100%" class="table table-bordered">
                        <thead>
                            <tr>                                
                                <td>Sr No</td>
                                <td>Sender Name</td>
                                <td>From</td>
                                <td>To</td>
                                <td>Orign</td>
                                <td>Distination</td>
                                <td>Service</td>
                                <td>Courier Officer</td>
                                <td>Weight</td>
                                <td>FWD By</td>
                                <td>Slip No</td>
                                <td>FWD Date</td>
                                <td>Driver</td>
                                <td>Car No</td>
                                <td>Type</td>
                                <td>CN#</td>                              
                            </tr>
                        </thead>
                        <tbody>';

           
            $i = 0;
            $consignor_name = "";
            if (!empty($query)) {
                foreach ($query as $row) {                  
                    if (!empty($request->consignor_id) && $request->consignor_id != null) {
                        $consignor_name = $row->consignor_name;
                    }
                    $html .= "<tr>
                                <td> " . ($i += 1) . " </td>                                                  
                                <td> " . $row->reciver_name . " </td>
                                <td> " . $row->consignor_name . " </td>
                                <td> " . $row->consignee_name . " </td>
                                <td> " . $row->consignor_city_name . " </td>
                                <td> " . $row->consignee_city_name . " </td>
                                <td> " . $row->service_name . " </td>
                                <td> " . $row->sign_out_officer . " </td>
                                <td> " . $row->weight . " </td>
                                <td> " . $row->forword_by . " </td>                                
                                <td> " . $row->slipno . " </td>                                
                                <td> " . $row->forword_date . " </td>                                
                                <td> " . $row->driver . " </td>                                
                                <td> " . $row->car_no . " </td>                                
                                <td> " . $row->type . " </td>                                
                                <td> " . $row->cn_no . " </td>                                                         
                            </tr>";
                }
            }

            $msg['report_table'] = $html;
            $msg['date_from'] = $from_date;
            $msg['date_to'] = $to_date;
            $msg['consignor_name'] = $consignor_name;
            return response()->json(['success' => 'successfull retrieve data', $msg], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    //report close
}
