<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use App\Models\User;
use Validator;

class LoginController extends Controller
{
    public function index()
    {
    	$user = Auth::User();
            Session::put('user', $user); //add value in session
            $user=Session::get('user');
            if($user)
            {
                $userCount = User::count();                
                return view('admin/dashbord')->with(compact('userCount'));;                
            }
        return view('admin/login/index');     
    }

    public function postLogin(Request $request)
    {

        $validator = Validator::make($request->all(), [
            'email' => 'required',
            'password' => 'required',
        ]);

        if (!$validator->passes()) {
            return response()->json(['error' => $validator->errors()->all()]);
        }

        if (!$validator->passes()) {
            return response()->json(['error' => $validator->errors()->all()]);
        }
    	//$data = $request->only('email','password');
    	
        if(Auth::attempt(['email'=>$request->get('email'),'password'=>$request->get('password'),'status'=>1]))
    	{
    		//return redirect()->intended('admin/dashboard')->withSuccess('You have Successfully loggedin');
            return response()->json(['success' => 'You have Successfully loggedin'], 200);
    	}
        else if(Auth::attempt(['email'=>$request->get('email'),'password'=>$request->get('password'),'status'=>0])){
             //return redirect()->back()->withErrors(['msg' => 'Currently your Email not ACTIVE']);             
             return response()->json(['error' => 'Currently your Email not ACTIVE']);
             }
        else{
            // return redirect()->back()->withErrors(['msg' => 'Invalid Email or Password']);    
            return response()->json(['error' => 'Invalid Email or Password']);
        }          
    }
    public function dashboard()
    { 
            if(Auth::check())
            {
                $userCount = User::count();
                return view('admin/dashboard')->with(compact('userCount'));
            }
  
        return redirect("admin/login")->withSuccess('Opps! You do not have access');
    }

     public function logout(Request $request) {
        Session::flush();
        Auth::logout();
        $request->session()->invalidate();
        $request->session()->regenerateToken();
        return redirect()->to('admin/login');
    }
}
