<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Branch;
use App\Models\Charges;
use App\Models\CityModel;
use App\Models\CountryModel;
use App\Models\customer;
use App\Models\Price;
use App\Models\Service;
use App\Models\Zone;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Facades\DataTables;
use Validator;

class PriceController extends Controller
{
    public function index()
    {
        $customer = customer::where('status', 1)->get();
        $branch = Branch::where('status', 1)->get();
        $zone = Zone::where('status', 1)->select('zone_id as id','zone_name')->distinct()->get();
        $service = Service::where('status', 1)->get();
        $cities = CityModel::where('status', 1)->get();
        $countries = CountryModel::where('status', 1)->get();
        return view('admin.price.index')->with(compact('customer','branch','zone','service','cities','countries'));
    }

    public function create()
    {
        try {
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
    public function store(Request $request)
    {
        try {
            if ($request->post('price_type') == "Service Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',                    
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',                    
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "Zone Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'zone_id' => 'required|numeric',
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "City Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',                    
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'city_id' => 'required|numeric',
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "Branch Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'zone_id' => 'required|numeric',                    
                    'branch_id' => 'required|numeric',                    
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }
            

            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            $status = 0;
            if ($request->post('status') == "on") {
                $status = 1;
            }  
            $local = "N";
            if ($request->post('local') == "on") {
                $local = "Y";
            }  

            $price = new Price;
            $price->price_type = $request->price_type;
            $price->customer_id = $request->customer_id;            
            $price->country_id = $request->country_id;
            if ($request->post('price_type') == "Service Wise") {
                $price->service_id = $request->service_id;
            }else if ($request->post('price_type') == "Zone Wise") {
                $price->service_id = $request->service_id;
                $price->zone_id = $request->zone_id;
            }else if ($request->post('price_type') == "City Wise") {
                $price->service_id = $request->service_id;
                $price->city_id = $request->city_id;
            }else if ($request->post('price_type') == "Branch Wise") {
                $price->service_id = $request->service_id;
                $price->branch_id = $request->branch_id;
                $price->zone_id = $request->zone_id;
            }             
            $price->half_kg = $request->half_kg;
            $price->kg = $request->kg;
            $price->add_kg = $request->add_kg;
            $price->five_kg = $request->five_kg;            
            $price->five_add_kg = $request->five_add_kg;            
            $price->ten_kg = $request->ten_kg;            
            $price->ten_add_kg = $request->ten_add_kg;            
            $price->fifteen_kg = $request->fifteen_kg;            
            $price->fifteen_add_kg = $request->fifteen_add_kg;            
            $price->twenty_kg = $request->twenty_kg;            
            $price->twenty_add_kg = $request->twenty_add_kg;            
            $price->local = $local;       
            $price->status = $status;
            $price->user_entry = \Auth::User()->id;
            $price->user_modify = \Auth::User()->id;            
            $price->save();
            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function show($id)
    {
        try {
            $route = DB::table('price as p')
                ->join('customers as cus', 'cus.id', '=', 'p.customer_id')
                ->join('country as c', 'c.id', '=', 'p.country_id')
                ->join('services as s', 's.id', '=', 'p.service_id')
                ->select('p.*','cus.customer_name','c.name as country_name','s.service_name')->get();
            return DataTables::of($route)
                ->addColumn('action', function ($data) {
                    return table_edit_delete_button($data->id, 'price');
                })
                ->addColumn('checkbox', function ($data) {
                    return checkbox_show($data->id);
                })
                ->editColumn('status', function ($data) {
                    return current_status($data->status);
                })
                ->addIndexColumn()
                ->rawColumns(['action', 'checkbox', 'status','DT_RowIndex'])
                ->make(true);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function edit($id)
    {
        try {
            $price = Price::find($id);
            return response()->json(['success' => 'successfull retrieve data', 'data' => $price->toJson()], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function rec_update(Request $request)
    {
        try {
            if ($request->post('price_type') == "Service Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',                    
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',                    
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "Zone Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'zone_id' => 'required|numeric',
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "City Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',                    
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'city_id' => 'required|numeric',
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }else if ($request->post('price_type') == "Branch Wise") {
                $validator = Validator::make($request->all(), [
                    'price_type' => 'required',
                    'customer_id' => 'required|numeric',
                    'service_id' => 'required|numeric',
                    'zone_id' => 'required|numeric',                    
                    'branch_id' => 'required|numeric',                    
                    'half_kg' => 'required|numeric',
                    'kg' => 'required|numeric',
                    'add_kg' => 'required|numeric',
                    'five_kg' => 'required|numeric',
                    'five_add_kg' => 'required|numeric',
                    'ten_kg' => 'required|numeric',
                    'ten_add_kg' => 'required|numeric',
                    'fifteen_kg' => 'required|numeric',
                    'fifteen_add_kg' => 'required|numeric',
                    'twenty_kg' => 'required|numeric',
                    'twenty_add_kg' => 'required|numeric',                    
                    'country_id' => 'required|numeric',
                ]);
            }
            

            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            $status = 0;
            if ($request->post('status') == "on") {
                $status = 1;
            }
        
            $local = "N";
            if ($request->post('local') == "on") {
                $local = "Y";
            }  

            $price = Price::findOrFail($request->id);
            $price->price_type = $request->price_type;
            $price->customer_id = $request->customer_id;            
            $price->country_id = $request->country_id;
            if ($request->post('price_type') == "Service Wise") {
                $price->service_id = $request->service_id;
            }else if ($request->post('price_type') == "Zone Wise") {
                $price->service_id = $request->service_id;
                $price->zone_id = $request->zone_id;
            }else if ($request->post('price_type') == "City Wise") {
                $price->service_id = $request->service_id;
                $price->city_id = $request->city_id;
            }else if ($request->post('price_type') == "Branch Wise") {
                $price->service_id = $request->service_id;
                $price->branch_id = $request->branch_id;
                $price->zone_id = $request->zone_id;
            }             
            $price->half_kg = $request->half_kg;
            $price->kg = $request->kg;
            $price->add_kg = $request->add_kg;
            $price->five_kg = $request->five_kg;            
            $price->five_add_kg = $request->five_add_kg;            
            $price->ten_kg = $request->ten_kg;            
            $price->ten_add_kg = $request->ten_add_kg;            
            $price->fifteen_kg = $request->fifteen_kg;            
            $price->fifteen_add_kg = $request->fifteen_add_kg;            
            $price->twenty_kg = $request->twenty_kg;            
            $price->twenty_add_kg = $request->twenty_add_kg;            
            $price->local = $local;       
            $price->status = $status;            
            $price->user_modify = \Auth::User()->id;
            $price->update();
            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function destroy($id)
    {
        try {
            $price = Price::find($id);
            $price->delete();
            return response()->json(['success' => 'data is successfully deleted'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function deleteAll(Request $request)
    {
        if ($request->ajax()) {
            $validator = Validator::make($request->all(), [
                'check_all' => 'required'
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }

            foreach ($request->check_all as $value) {
                Price::where('id', $value)->delete();
            }
            return response()->json(['success' => 'data is successfully deleted'], 200);
        }
        return 'false';
    }
}
