<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Booking;
use App\Models\CodBillDetail;
use Illuminate\Http\Request;
use App\Models\Status;
use Illuminate\Support\Facades\DB;
use Validator;
use Yajra\DataTables\Facades\DataTables as DataTables;
class StatusController extends Controller
{
    public function index()
    {
        $status = DB::table('shipment_status')->get();
        return view('admin.status.index')->with(compact('status'));;
    }

    public function StatusBarcode()
    {
        $status = DB::table('shipment_status')->get();
        return view('admin.status.barcode_status')->with(compact('status'));;
    }

    public function create()
    {
        try {
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
    public function store(Request $request)
    {
        try {
            $validator = Validator::make($request->all(), [
                'cn_no' => 'required',
                'status_date' => 'required',                
                'status_time' => 'required',                
                'orign' => 'required',                
                'destination' => 'required',                
                'signby' => 'required',                
                'comments' => 'required',                
                'branch_code' => 'nullable|regex:/(^[-0-9A-Za-z.,\/ ]+$)/',                
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
           
            $validation = true;
            $error_msg = "";
                                    
            if(Booking::where('id', $request->post('cn_no'))->count() <= 0)
            {
                $validation = false;
                $error_msg = "Invalid CN Number";
            }else if($request->post('status') == 1 
                && (Status::where('cn_no', $request->post('cn_no'))
                          ->where('status_id','=',$request->post('status')))->count() > 0)
            {
                $validation = false;
                $error_msg = "This Status Already Exists";             
            }else if((CodBillDetail::where('cn_no', $request->post('cn_no')))->count() > 0)
            {
                $validation = false;
                $error_msg = "This Status Already Exists in COD BILL";             
            }else if($request->post('status') != 1
                && (Status::where('cn_no', $request->post('cn_no'))
                      ->where('status_id','=', 1))->count() <= 0)
            {
                $validation = false;
                $error_msg = "First Pickup After Other Status Change";             
            }

            if($validation)
            {
                Status::create([
                    'cn_no' => $request->post('cn_no'),
                    'status_id' => $request->post('status'),
                    'status_date' => $request->post('status_date'),
                    'status_time' => $request->post('status_time'),
                    'orign' => $request->post('orign'),                
                    'destination' => $request->post('destination'),                
                    'signby' => $request->post('signby'),
                    'comments' => $request->post('comments'),
                    'branch_code' => $request->post('branch_code'),                       
                    'user_entry' => \Auth::User()->id,
                    'user_modify' => \Auth::User()->id
                ]);

                if($request->post('status') == 1)
                {                    
                    $booking = Booking::findOrFail($request->post('cn_no'));
                    $booking->parcel_last_status  = $request->post('status');
                    $booking->parcel_last_status_date  = $request->post('status_date').$request->post('status_time');
                    $booking->pickup_date  = $request->post('status_date');                    
                    $booking->update();
                }else
                {
                    $booking = Booking::findOrFail($request->post('cn_no'));
                    $booking->parcel_last_status  = $request->post('status');
                    $booking->parcel_last_status_date  = $request->post('status_date').$request->post('status_time');                    
                    $booking->update();
                }
                return response()->json(['success' => 'data is successfully updated'], 200);
            }else 
            {                                
                return response()->json(['error' => $error_msg]);
            }                     
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    
    public function addBarcodStatus(Request $request)
    {
        try {
            $validator = Validator::make($request->all(), [
                'cn_no' => 'required',
                'status' => 'required'                          
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
           
            $validation = true;
            $error_msg = "";
                                    
            if(Booking::where('id', $request->post('cn_no'))->count() <= 0)
            {
                $validation = false;
                $error_msg = "Invalid CN Number";
            }else if($request->post('status') == 1 
                && (Status::where('cn_no', $request->post('cn_no'))
                          ->where('status_id','=',$request->post('status')))->count() > 0)
            {
                $validation = false;
                $error_msg = "This Status Already Exists";             
            }else if((CodBillDetail::where('cn_no', $request->post('cn_no')))->count() > 0)
            {
                $validation = false;
                $error_msg = "This Status Already Exists in COD BILL";             
            }else if($request->post('status') != 1
                && (Status::where('cn_no', $request->post('cn_no'))
                      ->where('status_id','=', 1))->count() <= 0)
            {
                $validation = false;
                $error_msg = "First Pickup After Other Status Change";             
            }

            if($validation)
            {
                Status::create([
                    'cn_no' => $request->post('cn_no'),
                    'status_id' => $request->post('status'),
                    'status_date' => getCurrentDate(),
                    'status_time' => getCurrentTime(),                                                                             
                    'user_entry' => \Auth::User()->id,
                    'user_modify' => \Auth::User()->id
                ]);

                if($request->post('status') == 1)
                {                    
                    $booking = Booking::findOrFail($request->post('cn_no'));
                    $booking->parcel_last_status  = $request->post('status');
                    $booking->parcel_last_status_date  = getCurrentDate().getCurrentTime();
                    $booking->pickup_date  = getCurrentDate();                    
                    $booking->update();
                }else
                {
                    $booking = Booking::findOrFail($request->post('cn_no'));
                    $booking->parcel_last_status  = $request->post('status');
                    $booking->parcel_last_status_date  = getCurrentDate().getCurrentTime();                    
                    $booking->update();
                }
                return response()->json(['success' => 'data is successfully updated'], 200);
            }else 
            {                                
                return response()->json(['error' => $error_msg]);
            }                     
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function showStatusByCN($cn_no)
    {
        try {
            $booking = DB::table('status')
                ->join('shipment_status as ss', 'ss.status_id', '=', 'status.status_id')
                ->join('shipment_booking as sb', 'sb.id', '=', 'status.cn_no')
                ->join('customers as c', 'c.id', '=', 'sb.consignor_id')
                ->join('city', 'city.id', '=', 'status.destination','left')
                ->where('sb.id', '=', $cn_no)
                ->select('status.id','ss.status_id','ss.status_name','status.cn_no','status.status_date','status.status_time','c.id as customer_id','c.customer_name as name','status.signby','status.comments','status.branch_code','city.id as destination','city.name as destination_name')->get();
            return DataTables::of($booking)
                ->addColumn('action', function ($data) {
                    return table_edit_delete_button($data->id, 'status');
                })
                ->addIndexColumn()
                ->rawColumns(['action','DT_RowIndex'])
                ->make(true);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }


    public function getAllStatusByCN($cn_no)
    {
        try {
            $record = DB::table('shipment_booking as sb')
                ->join('customers as cus', 'cus.id', '=', 'sb.consignor_id')
                ->join('city as c_city', 'c_city.id', '=', 'sb.consignor_city')
                ->join('city', 'city.id', '=', 'sb.consignee_city')   
                ->join('shipment_status as ss', 'ss.status_id', '=', 'sb.parcel_last_status', 'left')
                ->join('status as s', 's.status_id', '=', 'sb.parcel_last_status', 'left')
                ->where('sb.id', '=', $cn_no)
                ->select('sb.id as cn_no','sb.consignee_name','city.id as consignee_city_id','city.name as consignee_city_name','cus.customer_name as consignor_name','cus.id as consignor_id','c_city.id as consignor_city_id','c_city.name as consignor_city_name','sb.booking_date','ss.status_name','sb.parcel_last_status_date','s.signby')->get();            
                return response()->json(['success' => 'successfull retrieve data', 'data' => $record->toJson()], 200);    
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }


    public function rec_update(Request $request)
    {
        try {
            $validator = Validator::make($request->all(), [
                'Status_id' => 'required',
                'name' => 'required'
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            $status = 0;
            if($request->status == "on")
            {
                $status = 1;
            }
            $Status = Status::findOrFail($request->Status_id);                                               
            $Status->name = $request->name;           
            $Status->status = $status;
            $Status->user_modify = \Auth::User()->id;
            $Status->update();
            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function destroy($id)
    {
        try {
            $validation = true;
            $error_msg = "";
            if((CodBillDetail::where('cn_no', $id))->count() > 0)
            {
                $validation = false;
                $error_msg = "This Status Already Exists in COD BILL";             
            }

            if($validation)
            {
                $Status = Status::find($id);
                $Status->delete();            
                return response()->json(['success' => 'data is successfully deleted'], 200);
            }else
            {
                return response()->json(['error' => $error_msg]);
            }
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

}
