<?php
// use File;

use App\Models\BranchAsignCity;
use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\Model;

if (!function_exists('p')) {
    function p($data)
    {
        echo "<pre>";
        print_r($data);
        echo "</pre>";
    }
}

if (!function_exists('get_formatted_date')) {
    function get_formatted_date($data, $formate)
    {
        $formattedDate = date($formate, strtotime($data));
        return $formattedDate;
    }
}

if (!function_exists('getCurrentDate')) {
    function getCurrentDate()
    {
        return date('Y-m-d');
    }
}

if (!function_exists('getCurrentTime')) {
    function getCurrentTime()
    {
        return date('h:i A');
    }
}

if (!function_exists('getCurrentDateTime')) {
    function getCurrentDateTime()
    {
        return date('Y-m-d H:i:s');
    }
}

if (!function_exists('upload_images')) {
    function upload_images($file, $location)
    {
        if ($file) {
            $filename = md5($file->getClientOriginalName()) . time() . "." . $file->getClientOriginalExtension();
            $extension = $file->getClientOriginalExtension();
            $file->move($location, $filename);
            $filepath = url($location . '/' . $filename);
            $data['success'] = 1;
            $data['message'] = 'Uploaded Successfully!';
            $data['filepath'] = $filepath;
            $data['filename'] = $filename;
            $data['extension'] = $extension;
        } else {
            $data['success'] = 2;
            $data['message'] = 'File not uploaded.';
        }
        return $data;
    }
}

if (!function_exists('delete_image')) {
    function delete_image($path)
    {
        return File::delete($path);
    }
}

if (!function_exists('current_status')) {
    function current_status($status)
    {
        if ($status == 0)
            return '<button" class="btn btn-danger btn-sm singleStatus"><i class="fa fa-hourglass" style="cursor: default;"> DEACTIVE</i></button">';
        if ($status == 1)
            return '<button class="btn btn-success btn-sm singleStatus" style="cursor: default;">ACTIVE</button>';
    }
}

if (!function_exists('image_show')) {
    function image_show($folder, $image)
    {
        if ($image == 'not found')
            return '<img src="{{ url("") }}/assets/dist/img/no-img.png" width="50" height="50" alt="no img found" class="thumbnail">';
        else
            return '<img src=" ' . url('uploads/' . $folder . '/' . $image) . ' " width="50" height="50" alt="' . $image . '" class="thumbnail">';
    }
}

if (!function_exists('checkbox_show')) {
    function checkbox_show($id)
    {
        return '<input type="checkbox" class="chk_del"  name="chk_del[]" value="' . $id . '" >';
    }
}

if (!function_exists('table_edit_delete_button')) {
    function table_edit_delete_button($id, $url)
    {
        return '<button get_id="' . $id . '" 
                    class="btn btn-xs btn-primary edit">
                    <i class="fa fa-edit"></i> Edit</button>

                    <button get_id="' . $id . '" id="delete_record" url="' . $url . '" class="btn btn-xs btn-danger delete">
                    <i class="fa fa-trash"></i> Delete</button>';
    }
}


if (!function_exists('table_delete_button')) {
    function table_delete_button($id, $url)
    {
        return '<button get_id="' . $id . '" id="delete_record" url="' . $url . '" class="btn btn-xs btn-danger delete">
                    <i class="fa fa-trash"></i> Delete</button>';
    }
}


if (!function_exists('table_edit_button')) {
    function table_edit_button($id, $url)
    {
        return '<button get_id="' . $id . '" 
                    class="btn btn-xs btn-primary edit">
                    <i class="fa fa-edit"></i> Edit</button>';
    }
}


if (!function_exists('row_color_change')) {
    function row_color_change($status)
    {
        if ($status == 6 || $status == 5 || $status == 9) {
            //html += '<tr bgcolor="#FF0000">';
            return 'color1';
        } else if ($status == 1) {
            //html += '<tr bgcolor="#FF9900">';
            return 'color2';
        } else if ($status == 2) {
            //html += '<tr bgcolor="#FFFF99">';
            return 'color3';
        } else if ($status == 4) {
            //html += '<tr bgcolor="#fff">';
            return 'color4';
        } else if ($status == 3 || $status == 7) {
            //html += '<tr bgcolor="green">';
            return 'color5';
        } else if ($status == 10 || $status == 12 || $status == 11 || $status == 8 || $status == 13) {
            //html += '<tr bgcolor="#993333">';
            return 'color6';
        } else if ($status == 15) {
            //html += '<tr bgcolor="#CCCCCC">';
            return 'color7';
        } else {
            //html += '<tr bgcolor="#0099FF">';
            return 'color8';
        }
    }
}

if (!function_exists('destroy')) {
    function destroy(Model $model, $id)
    {
        try {
            $table = $model::find($id);
            $table->delete();
            return response()->json(['success' => 'data is successfully deleted'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
}

if (!function_exists('DeleteAll')) {
    function DeleteAll(Request $request, Model $model)
    {
        if ($request->ajax()) {
            $validator = Validator::make($request->all(), [
                'check_all' => 'required'
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }

            foreach ($request->check_all as $value) {
                $model::where('id', $value)->delete();
            }
            return response()->json(['success' => 'data is successfully deleted'], 200);
        }
        return 'false';
    }
}


if (!function_exists('attribute_select_type_selected')) {
    function attribute_select_type_selected($type_id)
    {
        switch ($type_id) {
            case "1":
                return "Text";
                break;
            case "2":
                return "TextArea";
                break;
            case "3":
                return "Date";
                break;
            case "4":
                return "Number";
                break;
            case "5":
                return "Select";
                break;
            case "6":
                return "CheckBox";
                break;
            default:
                return "Select";
        }
    }
}
if (!function_exists('branch_filter')) {
    function branch_filter($branch_filter) {
        $branch_city_filter = "";
        if ($branch_filter != null && $branch_filter != 0) {
            $city_list = BranchAsignCity::wherein('branch_id', [$branch_filter])->select('city_id')->get();                        
            foreach ($city_list as $city) {
                if ($branch_city_filter == "")
                    $branch_city_filter = $branch_city_filter."".$city->city_id."";
                else
                    $branch_city_filter = $branch_city_filter.",".$city->city_id."";                                 
            }
        }
        
        return $branch_city_filter;
    }
}

// if (!function_exists('isAdmin')) {
//     function isAdmin()
//     {
//         if (Auth::check() && (Auth::user()->user_type == 'admin' || Auth::user()->user_type == 'staff')) {
//             return true;
//         }
//         return false;
//     }
// }

// if (!function_exists('isSeller')) {
//     function isSeller()
//     {
//         if (Auth::check() && Auth::user()->user_type == 'seller') {
//             return true;
//         }
//         return false;
//     }
// }

// if (!function_exists('isCustomer')) {
//     function isCustomer()
//     {
//         if (Auth::check() && Auth::user()->user_type == 'customer') {
//             return true;
//         }
//         return false;
//     }
// }