<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStaffTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff', function (Blueprint $table) {
            $table->id();
            $table->string('staff_name',100);
            $table->unsignedBigInteger('designation_id');
            $table->string('mobile_number',30);
            $table->string('email',100);
            $table->unsignedBigInteger('country_id');
            $table->unsignedBigInteger('city_id');
            $table->string('address',255);
            $table->string('nic',20);
            $table->string('reference',100);
            $table->integer('salary');
            $table->string('qualification',100);
            $table->string('previous_job_expererence',255);
            $table->string('previous_company',255);
            $table->string('staff_document',255)->nullable();
            $table->tinyInteger('status');
            $table->string('user_entry',10);
            $table->string('user_modify',10);
            $table->foreign('designation_id')->references('id')->on('designation')->onDelete('RESTRICT')->onUpdate('RESTRICT');   
            $table->foreign('country_id')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff');
    }
}
