<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBranchAsignCityTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('branch_asign_city', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('branch_id')->unsigned();
            $table->unsignedBigInteger('country_id')->unsigned();
            $table->unsignedBigInteger('city_id')->unsigned();
            $table->tinyInteger('status'); 
            $table->string('user_entry',10);
            $table->string('user_modify',10);
            $table->foreign('branch_id')->references('id')->on('branch')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('country_id')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');       
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('branch_asign_city');
    }
}
