<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePriceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('price', function (Blueprint $table) {
            $table->id();
            $table->string('price_type',50);
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->unsignedBigInteger('service_id')->nullable();
            $table->unsignedBigInteger('zone_id')->nullable();            
            $table->unsignedBigInteger('branch_id')->nullable();
            $table->unsignedBigInteger('city_id')->nullable();
            $table->unsignedBigInteger('country_id')->nullable();
            $table->double('half_kg');
            $table->double('kg');
            $table->double('add_kg');
            $table->double('five_kg');
            $table->double('five_add_kg');            
            $table->double('ten_kg');
            $table->double('ten_add_kg');
            $table->double('fifteen_kg');
            $table->double('fifteen_add_kg');
            $table->double('twenty_kg');
            $table->double('twenty_add_kg');
            $table->string('local',1);
            $table->tinyInteger('status');
            $table->string('user_entry',10);
            $table->string('user_modify',10);
            $table->foreign('customer_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('service_id')->references('id')->on('services')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('zone_id')->references('id')->on('zone')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('branch_id')->references('id')->on('branch')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('country_id')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');            
            $table->foreign('city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('price');
    }
}
