<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBagmanifestDetailTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bagmanifest_detail', function (Blueprint $table) {
            $table->id();
            $table->integer("seal");
            $table->unsignedBigInteger("cn_no");            
            $table->unsignedBigInteger("consignor_id");            
            $table->string("consignor_name",50);
            $table->string("consignee_name",50);
            $table->unsignedBigInteger("orign");            
            $table->unsignedBigInteger("destination");
            $table->double("weight");
            $table->double("cod_amount");
            $table->integer("pcs");
            $table->string("mail_status",50)->nullable();
            $table->string("tick",50)->nullable();
            $table->string("pickup_date",50);
            $table->string("service_type",50);
            $table->tinyInteger("status");
            $table->tinyInteger("is_forwod")->default(0);
            $table->string("reciver_name",100)->nullable();            
            $table->string("user_entry" ,50);            
            $table->string("user_modify",50);
            $table->timestamps();
            $table->foreign('cn_no')->references('id')->on('shipment_booking')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignor_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('orign')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('destination')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bagmanifest_detail');
    }
}
