<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBagmanifestBagmanifestSummaryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bagmanifest_summary', function (Blueprint $table) {
            $table->id();
            $table->string("mode",50);
            $table->unsignedBigInteger("staff_id");
            $table->integer("total_bag");
            $table->integer("total_open_carton")->default(0);
            $table->integer("total_parcels");
            $table->integer("total_pieces");
            $table->double("total_weight");
            $table->double("total_cod_amount");
            $table->string("time_ops",50);
            $table->string("sign_ops",50);     
            $table->string("entry_date",50);
            $table->string("user_entry",50);            
            $table->string("user_modify",50);            
            $table->timestamps();
            $table->foreign('staff_id')->references('id')->on('staff')->onDelete('RESTRICT')->onUpdate('RESTRICT');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bagmanifest_summary');
    }
}
