<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateForwardingDetailTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('forwarding_detail', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("forward_id");
            $table->unsignedBigInteger("cn_no");
            $table->unsignedBigInteger("consignor_id");
            $table->string("consignor_name",50);
            $table->string("consignee_name",50);
            $table->unsignedBigInteger("orign");
            $table->unsignedBigInteger("destination");
            $table->double("weight");
            $table->unsignedBigInteger("service_type");
            $table->string("reciver_name",50);
            $table->string("user_entry",50);            
            $table->string("user_modify",50);
            $table->foreign('forward_id')->references('id')->on('forwarding_summary')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('cn_no')->references('id')->on('shipment_booking')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignor_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('orign')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('destination')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('service_type')->references('id')->on('services')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('forwarding_detail');
    }
}
