<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodbillDetailTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('codbill_detail', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("cod_bill_id");
            $table->unsignedBigInteger("cn_no");
            $table->double("weight");
            $table->string("consignee_name",50);
            $table->unsignedBigInteger("orign");
            $table->unsignedBigInteger("destination");
            $table->double("cod_amount");
            $table->double("delivery_charges");
            $table->double("return_Charges");
            $table->double("recivable");
            $table->double("amount");
            $table->integer("service_type");
            $table->integer("status");
            $table->double("handling_charges");
            $table->string("pickup_date",50);
            $table->string("user_entry",50);
            $table->string("user_modify",50);
            $table->timestamps();
            $table->foreign('cod_bill_id')->references('id')->on('codbill_summary')->onDelete('RESTRICT')->onUpdate('RESTRICT');        
            $table->foreign('cn_no')->references('id')->on('shipment_booking')->onDelete('RESTRICT')->onUpdate('RESTRICT');        
            $table->foreign('orign')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('destination')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('codbill_detail');
    }
}
