<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodbillRecorySummaryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('codbill_recory_summary', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("branch_id");
            $table->string("month_name",50);
            $table->string("from_date",50);
            $table->string("to_date",50);
            $table->double("total_cod_amount");
            $table->double("total_charges");
            $table->double("total_return_amound");
            $table->double("other_amount");
            $table->string("other_amount_reason",100);
            $table->double("other_recovery");
            $table->string("other_recovery_reason",100);
            $table->double("netamount");
            $table->double("advance_amount");
            $table->double("recived");
            $table->double("balanceamt");
            $table->string("user_entry",50);
            $table->string("user_modify",50);
            $table->foreign('branch_id')->references('id')->on('branch')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('codbill_recory_summary');
    }
}
