"use strict";

$(function () {
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'charges/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'customer_name'
            },
            {
                data: 'charges_type'
            },
            {
                data: 'medium_qty'
            },
            {
                data: 'large_qty'
            },
            {
                data: 'xlarge_qty'
            },
            {
                data: 'charges'
            },
            {
                data: 'date'
            },
            {
                data: 'status'
            },
            {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('#flyer')[0].reset();
        $('select[name=customer_id]').trigger('change');                
        $('#ddlmulty').val('').trigger('change')        
        $('#check_uncheck').prop('checked', true);    
        document.getElementById("statusText").innerText = "ON";              
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Charges');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');       
        token();
        var str_url = 'charges/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                $('.id').val(json.id);
                $('.customer_id').val(json.customer_id).trigger('change');
                $('.date').val(json.date);
                $('.medium_qty').val(json.medium_qty);
                $('.large_qty').val(json.large_qty);
                $('.xlarge_qty').val(json.xlarge_qty);
                $('.charges').val(json.charges);  
                $('.charges_type').val(json.charges_type);
                chargesType();          
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Charges');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        var formData = $("form#flyer").serializeArray();
        console.log(formData);
        token();
        var str_url = "charges";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('charges Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();
        var formData = $("form#flyer").serializeArray();
        var str_url = "charges/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('charges Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(".charges_type").change(function () {        
        chargesType()
    });

    function chargesType()
    {
        if($('.charges_type').val() == "FlyerCharges" || $('.charges_type').val() == "BoxCharges")
        {
            $('.divflyer').show();
            $('.divpic_pack').hide();
        }else
        {
            $('.divflyer').hide();
            $('.divpic_pack').show();
        }
    }
});
