"use strict";

$(function () {

    $('#btnSearchCodBill').click(function () {
        RefreshTable();
    });

    function RefreshTable()
    {
        var branch_filter = $('#branch_id').val();
        if (branch_filter == "") {
            branch_filter = "0";
        }

        var destination_filter = $('#destination').val();
        if (destination_filter == "") {
            destination_filter = "0";
        }
       

        var reservation = $('#reservation').val();
        if (reservation == "") {
            reservation = "0";
        }

        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            scrollY: 200,
            scrollX: true,
            ajax: 'cod_bill_recovery/show/' + branch_filter + '/' + destination_filter + '/' + reservation + '/',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'cn_no'
                },
                {
                    data: 'parcel_actual_weight'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'cod_amount'
                },
                {
                    data: 'per_parcel_charges'
                },
                {
                    data: 'recevable'
                },
                {
                    data: 'remaining'
                },
                {
                    data: 'status_name'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }

    $('#btnAddBM').click(function () {           
        token();
        var check_all = [];
        var dated = $('input[name=date_range]').val();
        var branch_id = $('select[name=branch_id]').val();        
        $("input[name='chk_del[]']:checked").each(function () {
            check_all.push($(this).val());
        });
        //console.log(check_all);
        var str_url = "cod_bill_recovery/addCN";
        var str_method = "POST";
        var str_data_type = "json";
        var data = {
            check_all: check_all,
            dated : dated,
            branch_id : branch_id
        }

        CustomAjax(str_url, str_method, data, str_data_type, function (data) {
            if (data) {               
                RefreshTable();
                $('#chk_select_all').prop('checked', false);
                $('.alert-success:first').html('cod bill Record Add Successfully').fadeIn().delay(2000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#btnforword').click(function () {        
        window.location.href = "cod_bill_recovery/nextstep";
    });    

});
