"use strict";

$(function () {
    var mode = "new";
    let citiesJson;
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'customer/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'id'
            },
            {
                data: 'customer_name'
            },
            {
                data: 'country_name'
            },
            {
                data: 'city_id'
            },
            {
                data: 'address'
            },
            {
                data: 'contact_no'
            },
            {
                data: 'status'
            }, {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('#customer')[0].reset();
        $('#check_uncheck').prop('checked', false);
        $('select[name=staff_reference_id]').val('').trigger('change');
        $('#ddlservice').val('').trigger('change')
        // document.getElementById("statusText").innerText = "OFF";
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#cn_chk').hide();
        $('#pass_chk').hide();
        $('.div_login').show();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Customer');
        $('.error-msg').css('display', 'none');     
        maxCnNo();   
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        $("#divAddress").empty();
        mode = "edit";
        $('#cn_chk').show();
        $('#pass_chk').show();
        $('.div_login').hide();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        token();
        var str_url = 'customer/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result[0].data);
                console.log(json);
                $('input[name=id]').val(json.id);
                $('input[name=customer_name]').val(json.customer_name);
                $('input[name=nic]').val(json.nic);
                $('input[name=contact_no]').val(json.contact_no);
                $('select[name=country_id]').val(json.country_id).trigger('change');
                // $('select[name=city_id]').val(json.city_id).trigger('change');
                $('input[name=post_code]').val(json.post_code);
                $('input[name=fuel_surcharge]').val(json.fuel_surcharge);
                $('input[name=flyer_charges_medium]').val(json.flyer_charges_medium);
                $('input[name=flyer_charges_large]').val(json.flyer_charges_large);
                $('input[name=flyer_charges_xlarge]').val(json.flyer_charges_xlarge);
                $('input[name=picking_paking]').val(json.picking_paking);
                $('input[name=box_charges_medium]').val(json.box_charges_medium);
                $('input[name=box_charges_large]').val(json.box_charges_large);
                $('input[name=box_charges_xlarge]').val(json.box_charges_xlarge);
                $('input[name=return_charges]').val(json.return_charges);
                $('input[name=company]').val(json.company);
                $('input[name=ntn]').val(json.ntn);
                $('input[name=reference]').val(json.reference);
                $('select[name=staff_reference_id]').val(json.staff_reference_id).trigger('change');
                // $('textarea[name=address]').val(json.address);              
                $('input[name=cno_from]').val(json.cno_from);
                $('input[name=cno_to]').val(json.cno_to);
                $('input[name=email]').val(json.email);
                $('select[name=login_status]').val(json.login_status);
                changeStatus(json.status);

                let chargesJson = jQuery.parseJSON(result[0].charges);
                console.log(chargesJson);
                for (var x = 0; x < chargesJson.length; x++) {
                    if (chargesJson[x].min_range == 1) {
                        $('input[name=charges1]').val(chargesJson[x].charges);
                    }
                    if (chargesJson[x].min_range == 4001) {
                        $('input[name=charges2]').val(chargesJson[x].charges);
                    }
                    if (chargesJson[x].min_range == 7001) {
                        $('input[name=charges3]').val(chargesJson[x].charges);
                    }
                    if (chargesJson[x].min_range == 10001) {
                        $('input[name=charges4]').val(chargesJson[x].charges);
                    }
                }

                let servicesJson = jQuery.parseJSON(result[0].result_services_code);
                console.log(servicesJson);

                $('#ddlservice option').each(function (i, sel) {                    
                    $(this).prop("selected", false).trigger("change");
                    var a = ($(sel).val());                               
                    for (var x = 0; x < servicesJson.length; x++) {                        
                        if (a == servicesJson[x].id) {                        
                            $(this).prop("selected", true).trigger("change");
                        }
                    }
                });

                citiesJson = null
                citiesJson = jQuery.parseJSON(result[0].cities);                               
                console.log(citiesJson);
                $('#ddlcity_id option').each(function (i, sel) {
                    $(this).prop("selected", false).trigger("change");
                    var a = ($(sel).val());                    
                    for (var x = 0; x < citiesJson.length; x++) {
                        if (a == citiesJson[x].id) {
                            mode = "edit";
                            $(this).prop("selected", true).trigger("change");
                            var city_name = "";
                            $.each($(".city_id").find(":selected"), function (i, item) {
                                if(citiesJson[x].id == item.value)
                                {
                                    city_name = item.label;
                                }
                            });
                            $("#divAddress").append('<div class="col-md-3"><div class="form-group"><label>Address For (' + city_name + '):</label><div class="input-group"><div class="input-group-addon"><i class="fa fa-user"></i></div><textarea  name="address_' + citiesJson[x].id + '" class="form-control address_' + citiesJson[x].id + '" id="address_' + citiesJson[x].id + '">'+citiesJson[x].address+'</textarea></div></div></div>');
                        }
                    }                    
                });                
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Customer');
                $('#modalAdd').attr('id', 'modalEdit');
                mode = "new";
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        $('input[name=cno_from]').prop('disabled', false);
        var formData = $("form#customer").serializeArray();
        $('input[name=cno_from]').prop('disabled', true);
        console.log(formData);
        token();
        var str_url = "customer";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Customer Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();

        var formData = $("form#customer").serializeArray();

        var str_url = "customer/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Customer Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(".city_id").change(function () {
        if (mode == "new") {
            $("#divAddress").empty();
            $.each($(this).find(":selected"), function (i, item) {
                var address = "";
                if (citiesJson != undefined)
                {
                    for (var x = 0; x < citiesJson.length; x++) {                    
                        if (item.value == citiesJson[x].id) {
                            address = citiesJson[x].address;
                        }
                    }
                }                
                $("#divAddress").append('<div class="col-md-3"><div class="form-group"><label>Address For (' + item.label + '):</label><div class="input-group"><div class="input-group-addon"><i class="fa fa-user"></i></div><textarea  name="address_' + item.value + '" class="form-control address_' + item.value + '" id="address_' + item.value + '">'+address+'</textarea></div></div></div>');
            });
        }
    });


    
    function maxCnNo() {
        token();
        var str_url = 'customers/maxCnNo';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {               
                $('input[name=cno_from]').val(Number(result.data));
                $('input[name=cno_from]').prop('disabled', true);
            } else {
                printErrorMsg(data.error);
            }
        });

    }
});
