"use strict";

$(function () {
    sheetMaxNumber();
    RefreshTable();

    function sheetMaxNumber() {
        token();
        var str_url = 'sheetMaxNumber';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                $('input[name=sheet_id]').val(Number(result.data) + 1);
            } else {
                printErrorMsg(data.error);
            }
        });

    }

    function RefreshTable() {
        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            paging: false,
            ajax: 'showDeliveryTempRecord',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'customer_name'
                },
                {
                    data: 'cn_no'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'cod_amount'
                },
                {
                    data: 'status_name'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    $('#btngenerate').click(function () {
        var formData = $("form#delivery_sheet").serializeArray();
         console.log(formData);
        emptyError();
        token();
        var str_url = "addDeliverySheet";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                RefreshTable();                
                $('#delivery_sheet')[0].reset();
                sealMaxNumber();
                // $('select[name=staff_id]').val('').trigger('change');
                // $('select[name=mode]').val('').trigger('change');
                $('.alert-success').html('Cod Bill Create successfully').fadeIn().delay(4000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });


    $("#consignor_id").change(function () {        
        emptyError();
        token();
        var str_url = "getBillingMonths/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#billing_month').empty();    
                $('#billing_month').append($("<option/>", {
                    value: "",
                    text: "-Select Month-"
                }));            
                for (var x = 0; x < json.length; x++) {
                    $('#billing_month').append($("<option/>", {
                        value: json[x].cod_bill_id,
                        text: json[x].month_name
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $("#billing_month").change(function () {               
        emptyError();
        token();
        var str_url = "getBillingMonthDate/"+$("#consignor_id").val()+"/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#date_from').val(json[0].from_date);
                $('#date_to').val(json[0].to_date);                
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#BtnReportClick').click(function () {       
        //var formData = $("form#cod_bill_report").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "getCodBillReport/"+$("#consignor_id").val()+"/"+$("#billing_month").val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                                
                $('#showdata').html(data[0].report_table);
                $('#lbl_date_from').text($("#date_from").val());
                $('#lbl_date_to').text($("#date_to").val());
                $('#consignor_name').text($("#consignor_id option:selected").text());
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});

var totalCOD = 0;
var totalshipment = 0;
var i = 1;

function calculate() {
    totalCOD = 0;
    totalshipment = 0;    
    $(".chk_del").each(function () {
        if (this.checked) {
            totalCOD += parseInt($("#cod_amount" + i).val());
            alert(totalCOD);
            totalshipment++;           
        }
        i++;
    });
    
    $("#totalCOD").val(totalCOD);
    $("#totalshipment").val(totalshipment);
    i = 1;
}

$('#selectAll').change(function () {
    var id = this.id;
    $('.chk_del').prop('checked', this.checked);
    calculate();
});

$(document).on('change', '.chk_del', function () {
    if ($('.chk_del:checked').length == $('.chk_del').length) {
        $('#selectAll').prop('checked', true);
    } else {
        $('#selectAll').prop('checked', false);
    }
    calculate();
});
