"use strict";

$(function () {       
    RefreshTable();
    
    function RefreshTable() {
        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            paging: false,
            ajax: 'showFTempRecord',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'sender_name'
                },
                {
                    data: 'customer_name'
                },
                {
                    data: 'consignee_name'
                },
                {
                    data: 'consignor_city'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'service_name'
                },
                {
                    data: 'sign_ops'
                },
                {
                    data: 'weight'
                },
                {
                    data: 'cn_no'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    $('#btngenerate').click(function () {
        var formData = $("form#forwarding").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "addFW";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                RefreshTable();                
                $('#forwarding')[0].reset();
                $('select[name=staff_id]').val('').trigger('change');
                $('select[name=mode]').val('').trigger('change');
                $('.alert-success').html('Forwarding Create successfully').fadeIn().delay(4000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#BtnReportClick').click(function () {
        var formData = $("form#forwording_report").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "getForwardingReport";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                                
                $('#showdata').html(data[0].report_table);
                $('#date_from').text(data[0].date_from);
                $('#date_to').text(data[0].date_to);
                $('#consignor_name').text(data[0].consignor_name);
            } else {
                printErrorMsg(data.error);
            }
        });
    });

   

});


$('#selectAll').change(function () {
    var id = this.id;
    $('.chk_del').prop('checked', this.checked);   
});

$(document).on('change', '.chk_del', function () {
    if ($('.chk_del:checked').length == $('.chk_del').length) {
        $('#selectAll').prop('checked', true);
    } else {
        $('#selectAll').prop('checked', false);
    }   
});
