"use strict";

$(function () {

    $('#btnSearchForwarding').click(function () {
        RefreshTable();
    });

    function RefreshTable()
    {
        var customer_filter = $('#customer_id').val();
        if (customer_filter == "") {
            customer_filter = "0";
        }

        var orign_filter = $('#orign').val();
        if (orign_filter == "") {
            orign_filter = "0";
        }

        var destination_filter = $('#destination').val();
        if (destination_filter == "") {
            destination_filter = "0";
        }

        var branch_filter = $('#branch_id').val();
        if (branch_filter == "") {
            branch_filter = "0";
        }

        var reservation = $('#reservation').val();
        if (reservation == "") {
            reservation = "0";
        }

        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            scrollY: 200,
            ajax: 'forwarding/show/' + customer_filter + '/' + orign_filter + '/' + destination_filter + '/' + branch_filter + '/' + reservation + '/',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'customer_name'
                },
                {
                    data: 'consignee_name'
                },
                {
                    data: 'consignor_city'
                },
                {
                    data: 'destination_name'
                },
                {
                    data: 'service_name'
                },
                {
                    data: 'sign_ops'
                },
                {
                    data: 'weight'
                },
                {
                    data: 'cn_no'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }

    $('#btnAddBM').click(function () {           
        token();
        var check_all = [];
        $("input[name='chk_del[]']:checked").each(function () {
            check_all.push($(this).val());
        });
        //console.log(check_all);
        var str_url = "forwarding/addCN";
        var str_method = "POST";
        var str_data_type = "json";
        var data = {
            check_all: check_all
        }

        CustomAjax(str_url, str_method, data, str_data_type, function (data) {
            if (data) {               
                RefreshTable();
                $('#chk_select_all').prop('checked', false);
                $('.alert-success:first').html('Forwarding Record Add Successfully').fadeIn().delay(2000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#btnforword').click(function () {        
        window.location.href = "forwarding/nextstep";
    });    

});
