"use strict";

$(function () {
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'price/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'price_type'
            },
            {
                data: 'customer_name'
            },
            {
                data: 'service_name'
            },
            {
                data: 'half_kg'
            },
            {
                data: 'kg'
            },
            {
                data: 'add_kg'
            },
            {
                data: 'five_kg'
            },
            {
                data: 'five_add_kg'
            },
            {
                data: 'ten_kg'
            },
            {
                data: 'ten_add_kg'
            },
            {
                data: 'fifteen_kg'
            },
            {
                data: 'fifteen_add_kg'
            },
            {
                data: 'twenty_kg'
            },
            {
                data: 'twenty_add_kg'
            },
            {
                data: 'country_name'
            },
            {
                data: 'local'
            },
            {
                data: 'status'
            },
            {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
         $('#price')[0].reset();
        $('select[name=customer_id]').trigger('change');
        // $('#ddlmulty').val('').trigger('change')
        $('#check_uncheck').prop('checked', true);
        $('#divCity').hide();
        $('#divBranch').hide();
        $('#divZone').hide();
        document.getElementById("statusText").innerText = "ON";              
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Price');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');       
        token();
        var str_url = 'price/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                $('.id').val(json.id);
                $('.customer_id').val(json.customer_id).trigger('change');
                $('.service_id').val(json.service_id).trigger('change');
                $('.city_id').val(json.city_id).trigger('change');
                $('.zone_id').val(json.zone_id).trigger('change');                
                $('.price_type').val(json.price_type);
                $('.half_kg').val(json.half_kg);
                $('.kg').val(json.kg);
                $('.add_kg').val(json.add_kg);
                $('.five_kg').val(json.five_kg);
                $('.five_add_kg').val(json.five_add_kg);
                $('.ten_kg').val(json.ten_kg);
                $('.ten_add_kg').val(json.ten_add_kg);
                $('.fifteen_kg').val(json.fifteen_kg);
                $('.fifteen_add_kg').val(json.fifteen_add_kg);
                $('.twenty_kg').val(json.twenty_kg);
                $('.twenty_add_kg').val(json.twenty_add_kg);
                PriceType();          
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Charges');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        var formData = $("form#price").serializeArray();
        console.log(formData);
        token();
        var str_url = "price";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Price Create successfully').fadeIn().delay(4000).fadeOut('slow');
                //$('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();
        var formData = $("form#price").serializeArray();
        var str_url = "price/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Price Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(".price_type").change(function () {
        PriceType()
    });

    function PriceType()
    {
        if($('.price_type').val() == "Service Wise")
        {
            $('#divCity').hide();
            $('#divBranch').hide();   
            $('#divZone').hide();
        }else if($('.price_type').val() == "Zone Wise")
        {
            $('#divCity').hide();
            $('#divBranch').hide();  
            $('#divZone').show();             
        }else if($('.price_type').val() == "City Wise")
        {
            $('#divCity').show();
            $('#divBranch').hide();   
            $('#divZone').hide();            
        }else if($('.price_type').val() == "Branch Wise")
        {
            $('#divCity').hide();
            $('#divBranch').show();    
            $('#divZone').show();           
        }
    }

    $(".customer_id").change(function () {
        var id = $(this).val();       
        token();
        var str_url = 'getCustomerWiseService/' + id;
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let servicesJson = jQuery.parseJSON(result[0].result_services_code);
                $('#selectService').empty();
                for (var x = 0; x < servicesJson.length; x++) {
                    $('#selectService').append($("<option/>", {
                        value: servicesJson[x].id,
                        text: servicesJson[x].service_name
                    }));
                }
            }
        });
    });
});
