"use strict";

$(function () {    
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'staff/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'staff_name'
            },
            {
                data: 'mobile_number'
            }
            ,{
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('.id').val('');
        $('.name').val('');
        $('#check_uncheck').prop('checked', false);    
        // document.getElementById("statusText").innerText = "OFF";
    }

    //create
    $(document).on('click', '.create', function (e) {        
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Staff');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        token();
        var str_url = 'staff/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                console.log(json);
                $('input[name=id]').val(json.id);
                $('input[name=staff_name]').val(json.staff_name);
                $('select[name=designation_id]').val(json.designation_id).trigger('change');;
                $('input[name=mobile_number]').val(json.mobile_number);
                $('input[name=email]').val(json.email);
                $('select[name=country_id]').val(json.country_id).trigger('change');;
                $('select[name=city_id]').val(json.city_id).trigger('change');;
                $('input[name=salary]').val(json.salary);
                $('input[name=nic]').val(json.nic);
                $('input[name=reference]').val(json.reference);
                $('input[name=qualification]').val(json.qualification);
                $('textarea[name=previous_job_expererence]').val(json.previous_job_expererence);
                $('input[name=previous_company]').val(json.previous_company);
                $('textarea[name=address]').val(json.address);              
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Staff');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {       
        e.preventDefault();
        var formData = $("form#staff").serializeArray();
        console.log(formData);
        token();
        var str_url = "staff";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Staff Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();

        var formData = $("form#staff").serializeArray();

        var str_url = "staff/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Staff Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});
