"use strict";

$(function () {
    function RefreshTable()
    {        
        var cn_no = $("#txtcn_no").val();          
        if (cn_no == "") {
            cn_no = "0";
        }        

        $('#example').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            scrollY: 200,
            ajax: 'status/showStatusByCN/' + cn_no,
            buttons: ['csv', 'excel', 'pdf'],
            columns: [
                {
                    data: 'status_date'
                },
                {
                    data: 'status_time'
                },
                {
                    data: 'status_name'
                },
                {
                    data: 'destination_name'
                },
                {
                    data: 'comments'
                },
                {
                    data: 'branch_code'
                },
                {
                    data: 'action'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    function cleaner() {
        $('#status')[0].reset();
        $('select[name=status]').trigger('change');
    }

   
    $('#btninsert').click(function() {
        emptyError();
        var formData = $("form#status").serializeArray();
        console.log(formData);
        token();
        var str_url = "status";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();                
                $('.alert-success').html('Status Mark successfully').fadeIn().delay(4000).fadeOut('slow');                
            } else {                
                printSingleErrorMsg(data.error);
            }
        });
    });


    $("#cn_no").change(function () {            
        var formData = $("form#status").serializeArray();
        console.log(formData);
        token();
        var str_url = "status/addBarcodStatus";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                
                $('.alert-success').html('Record Update successfully').fadeIn().delay(2000).fadeOut(function () {
                    $("#cn_no").val('');
                    $(".select_status").focusout();
                    $("#cn_no").focus();
                });
            } else {                
                // printSingleErrorMsg(data.error);
                $('.alert-danger').html(data.error).fadeIn().delay(2000).fadeOut(function () {                                
                    $("#cn_no").val('');
                    $(".select_status").focusout();
                    $("#cn_no").focus();
                });
            }
        });
    });

    // //update
    // $(document).on('submit', '#modalEdit', function (e) {
    //     e.preventDefault();
    //     token();
    //     var formData = $("form#city").serializeArray();
    //     var str_url = "city/rec_update";
    //     var str_method = "POST";
    //     var str_data_type = "json";
    //     CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
    //         if (data.success) {
    //             refresh();
    //             cleaner();
    //             $('#modalEdit').modal('hide');
    //             $('.alert-success').html('City Update Successfully').fadeIn().delay(4000).fadeOut('slow');
    //             $('#modalEdit').attr('id', 'modalAdd');
    //         } else {
    //             printErrorMsg(data.error);
    //         }
    //     });
    // });


    $('#btnsearch').click(function() {      
        emptyError();          
        var cn_no = $("#txtcn_no").val();
        cleaner()
        token();
        var str_url = 'status/getAllStatusByCN/' + cn_no;
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success)
            {
                let json = jQuery.parseJSON(result.data);                
                $("#txtcn_no").val(cn_no);
                $("#consignor_name").val(json[0].consignor_name);
                $("#origin_city").val(json[0].consignor_city_name);
                $("#consignee_name").val(json[0].consignee_name);
                $("#destination_city").val(json[0].consignee_city_name);
                $("#consignor_id").val(json[0].consignor_id);
                $("#origin").val(json[0].consignor_city_id);
                $("#destination").val(json[0].consignor_city_id);
                // $("#branch_code").val(data.user_branch_code);                                         
                RefreshTable();
            } else
            {
                $('#ErrorMessages').html(html);
                $("#consignor_name").val('');
                $("#origin_city").val('');
                $("#consignee_name").val('');
                $("#destination_city").val('');
                $("#consignor_id").val('');
            }                        
        });        
    });

    $("#cn_no").focus();
        $(".select_status").change(function () {
            $("#cn_no").val('');
            $(".select_status").focusout();
            $("#cn_no").focus();
    });
});
