"use strict";

$(function () {
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'zone/show',        
        //buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'id'
            },
            {
                data: 'zone_name'
            },
            {
                data: 'country_name'
            },
            {
                data: 'city_name'
            },
            {
                data: 'status'
            },
            {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {     
        $('#zone')[0].reset();   
        $('select[name=country_id]').trigger('change');
        $('#check_uncheck').prop('checked', true);    
        $('#ddlmulty').val('').trigger('change')        
        document.getElementById("statusText").innerText = "ON";      
        $('#ddlcitymultiple').show();
        $('#ddlcity').hide();
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Zone');
        $('.error-msg').css('display', 'none');
        getCityIds();
    });
    
    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        $('#ddlcitymultiple').hide();
        $('#ddlcity').show();
        getCityEditIds(id);
        token();
        var str_url = 'zone/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                $('.id').val(json.id);
                $('.zone_name').val(json.zone_name).trigger('change');;                
                $('.country_id').val(json.country_id).trigger('change');;                
                $('.citysingle').val(json.city_id).trigger('change');;
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Zone');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        var formData = $("form#zone").serializeArray();
        console.log(formData);
        token();
        var str_url = "zone";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Zone Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
                getCityIds();                
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();
        var formData = $("form#zone").serializeArray();
        var str_url = "zone/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Zone Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    function getCityIds() {  
        var formData = "";        
        emptyError();
        token();
        var str_url = "getCityIDs";
        var str_method = "GET";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].city_list);
                console.log(json);
                $('#ddlmulty').empty();                
                for (var x = 0; x < json.length; x++) {
                    $('#ddlmulty').append($("<option/>", {
                        value: json[x].id,
                        text: json[x].name
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    }

    function getCityEditIds(id) {  
        var formData = "";
        emptyError();
        token();
        var str_url = "getCityEditIDs/"+id;
        var str_method = "GET";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].city_list);
                console.log(json);
                $('#citysingle').empty();
                for (var x = 0; x < json.length; x++) {
                    $('#citysingle').append($("<option/>", {
                        value: json[x].id,
                        text: json[x].name
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    }

});
