@extends('admin.layout.master')
@section('page-title')
    Bag Manifest Add CN
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Bag Manifest Add CN
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Transaction</a></li>
            <li class="active"><a href="#">Bag Manifest</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <h3 class="box-title">Bag Manifest</h3>
            </div>
            @include('admin.layout.errorLayout')
            @include('admin.layout.successLayout')
            @include('admin.layout.validationLayout')
            <form id="bagmanifest">
                <div class="box-header">
                    <div id="ErrorMessages"></div>
                    <div class="table-responsive">
                        <table id="example1" class="table  table-bordered display nowrap">
                            <thead>
                                <tr>
                                    <th>
                                        <input type="checkbox" id="selectAll" name="selectAll" value="ALL" />
                                    </th>
                                    <th>S No</th>
                                    <th>CN #</th>
                                    <th>Date</th>
                                    <th>From</th>
                                    <th>To</th>
                                    <th>Origin</th>
                                    <th>Destination</th>
                                    <th>Weight</th>
                                    <th>PCS</th>
                                    <th>COD</th>
                                </tr>
                            </thead>
                            <tbody id="showdata"></tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Bag manifest Seal</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-sun-o"></i>
                                    </div>
                                    <input type="text" name="seal" class="form-control" readonly />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Staff Name:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <select class="form-control select2" style="width: 100%;" name="staff_id" required>
                                        <option selected="selected" value="">-Select Staff-</option>
                                        @foreach ($getstaff as $staff)
                                            <option value="{{ $staff->id }}">{{ $staff->staff_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Mode:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-share-alt"></i>
                                    </div>
                                    <select class="form-control select2" style="width: 100%;" name="mode" required>
                                        <option selected="selected" value="">-Select Mode-</option>
                                        <option value="OBC">OBC</option>
                                        <option value="OTC">OTC</option>
                                        <option value="GC-RUNNER">GC-RUNNER</option>
                                    </select>

                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Total P.Bags</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="total_bag" id="totalBag" value="0"
                                        class="form-control">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>Total COD Amount</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" name="total_cod" class="form-control pull-right" value="0"
                                        id="totalCOD">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Total Parcels</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-sun-o"></i>
                                    </div>
                                    <input type="text" name="total_parcels" class="form-control" value="0"
                                        id="totalParcel">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Grand Total Pieces:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="total_pieces" id="totalPieces" value="0"
                                        class="form-control">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>Grand Weight:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" name="total_weight" value="0"
                                        class="form-control pull-right" id="totalWeight">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">

                            <div class="bootstrap-timepicker">
                                <div class="form-group">
                                    <label>Time picker:</label>

                                    <div class="input-group">
                                        <input type="text" name="time_ops" class="form-control timepicker">
                                        <div class="input-group-addon">
                                            <i class="fa fa-clock-o"></i>
                                        </div>
                                    </div>
                                    <!-- /.input group -->
                                </div>
                                <!-- /.form group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Sign. Of OPS Staff Out:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-sun-o"></i>
                                    </div>
                                    <input type="text" name="sign_ops" class="form-control">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>&nbsp;</label>
                                <button type="button" id="btngenerate" class="btn btn-block btn-success btn-flat"
                                    style="">
                                    <span class="fa fa-save"></span> &nbsp; Generate
                                </button>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/bagmanifest/bagmanifest.js"></script>
@endpush
