@extends('admin.layout.master')
@section('page-title')
Forwording Report
@endsection

@section('main-content')
    <section class="content-header no-print">
        <h1>
            Forwording Report
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Report</a></li>
            <li class="active"><a href="#">Forwording Report</a></li>
        </ol>
    </section>

    <section class="content no-print" style="min-height: 0px;" id="myModal" >
        <div class="box">
            <div class="box-header" id="myModal">
                <form id="forwording_report" >
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Consignor:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <select class="form-control select2" name="consignor_id" id="consignor_id">
                                        <option selected="selected" value="">-Select Consignor-</option>
                                        @foreach ($customer as $cus)
                                            <option value="{{ $cus->id }}">
                                                {{ $cus->customer_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>


                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Date range:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" name="date_range" class="form-control pull-right filter"
                                        id="reservation" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>


                        <div class="col-md-3">
                            <div class="form-group">
                                <label>CN No:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" name="cn_no" class="form-control" id="cn_no" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Origin:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <select name="orign" id="orign" multiple="multiple" class="form-control select2">
                                        @foreach ($cities as $city)
                                            <option value="{{ $city->id }}">{{ $city->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Destination:</label>

                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <select name="destination" id="destination" multiple="multiple" class="form-control select2"
                                        style="width: 100%;">
                                        @foreach ($cities as $city)
                                            <option value="{{ $city->id }}">{{ $city->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>  

                        <div class="col-md-2">
                            <div class="form-group">
                                <label></label>
                                <div class="input-group" style="width:100%;">
                                    <button type="button" class="btn btn-success flat" id="BtnReportClick"
                                        style="width:100%;">
                                        Fetch Report
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div><!-- /.box-header -->

        </div><!-- /.box -->
    </section>

    <section class="content">
        <div class="box">
            <div class="box-header">
                <div class="card">
                    <div class="row">
                        <div class="col-md-12">
                            <div>
                                <center><h4><strong>Ecourier<?php //echo $this->session->userdata['logged_in_comp']['company_name']; ?></strong></h4></center>
                            </div>
                            <div class="col-md-12" style="padding-left:0px;">
                                <span>
                                    <label style="padding-right:10px;">Consignor Name : </label>
                                    <label id="consignor_name"></label>
                                </span>                               
                            </div>
                            <div class="col-md-12" style="padding-left:0px;">
                                <span>
                                    <label style="padding-right:10px;">From: </label>
                                    <label id="date_from"></label>
                                </span>
                                <span style="margin-left:30px">
                                    <label style="padding-right:20px;">To: </label>
                                    <label id="date_to"></label>
                                </span>
                                <span class="pull-right">
                                    <strong style="margin-right:10px;">Report Printed: <?php echo date('d-m-Y'); ?></strong>
                                </span>
                            </div>
                            <div class="table-responsive-sm">                                
                                <div id="showdata"></div>                                  
                            </div>
                        </div>
                    </div>
                </div>
            </div><!-- /.box-header -->
            <div class="box-body">

            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </section><!-- /.content -->

@endsection

@push('custom-scripts')
<script src="{{ url('') }}/admin/myjs/forwarding/forwarding.js"></script>
@endpush
