@extends('admin.layout.master')
@section('page-title')
    Setup Price Form
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Setup Price Form
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active"><a href="<?php //echo base_url();
            ?>Portal">Price</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <button type="button" id="delete_all_record" url="price/deleteAll"
                    class="btn btn-danger delete_all">Delete</button>
                @if (isset(Auth::user()->hasPer('Price')['pcreate']) && Auth::user()->hasPer('Price')['pcreate'] == 1)
                    <button type="button" class="btn btn-info create">Create</button>
                @endif
            </div>

            <div class="row">
                <div class="box-header">

                </div>
                <div class="col-sm-12">
                    @include('admin.layout.errorLayout')
                    @include('admin.layout.successLayout')
                    <div class="box-body">
                        <div class="table-responsive ">
                            <table id="example" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>
                                            <input type="checkbox" id="chk_select_all" name="chk_select_all"
                                                value="ALL" />
                                        </th>
                                        <th>S No</th>
                                        <th>Price Type</th>
                                        <th>Customer Name</th>
                                        <th>Service Name</th>
                                        <th>Half KG</th>
                                        <th>KG</th>
                                        <th>Add KG</th>
                                        <th>5 KG</th>
                                        <th>5 Add KG</th>
                                        <th>10 KG</th>
                                        <th>10 Add KG</th>
                                        <th>15 KG</th>
                                        <th>15 Add KG</th>
                                        <th>20 KG</th>
                                        <th>20 Add KG</th>
                                        <th>Country</th>
                                        <th>Local</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>

                        <div class="modal fade modalAdd" id="modalAdd" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="example-Modal3">New message</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form id="price">
                                        @include('admin.layout.validationLayout')
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label> Price Type:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="price_type" class="form-control price_type" style="width: 100%;">                                                                
                                                                <option value="Service Wise">Service Wise</option>
                                                                <option value="Zone Wise">Zone Wise</option>
                                                                <option value="City Wise">City Wise</option>
                                                                <option value="Branch Wise">Branch Wise</option>
                                                            </select>
                                                            <input type="hidden" name="id" class="id">
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Customer Name:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="customer_id"
                                                                class="form-control select2 customer_id"
                                                                style="width: 100%;">
                                                                @foreach ($customer as $cus)
                                                                    <option value="{{ $cus->id }}">
                                                                        {{ $cus->customer_name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4" id="divSerive">
                                                    <div class="form-group">
                                                        <label>Service:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="service_id" id="selectService"
                                                                class="form-control select2 service_id"
                                                                style="width: 100%;">
                                                                
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4" id="divZone">
                                                    <div class="form-group">
                                                        <label>Zone:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="zone_id" class="form-control select2 zone_id"
                                                                style="width: 100%;">
                                                                @foreach ($zone as $zo)
                                                                    <option value="{{ $zo->id }}">
                                                                        {{ $zo->zone_name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4" id="divCity">
                                                    <div class="form-group">
                                                        <label>City:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="city_id" class="form-control select2 city_id"
                                                                style="width: 100%;">
                                                                @foreach ($cities as $city)
                                                                    <option value="{{ $city->id }}">
                                                                        {{ $city->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4" id="divBranch">
                                                    <div class="form-group">
                                                        <label>Branch:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="branch_id" class="form-control select2 branch_id"
                                                                style="width: 100%;">
                                                                @foreach ($branch as $bra)
                                                                    <option value="{{ $bra->id }}">
                                                                        {{ $bra->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Half KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="half_kg"
                                                                class="form-control half_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="kg"
                                                                class="form-control kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Add KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="add_kg"
                                                                class="form-control add_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Five KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="five_kg"
                                                                class="form-control five_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Five Add KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="five_add_kg"
                                                                class="form-control five_add_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Ten KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="ten_kg"
                                                                class="form-control ten_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Ten Add KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="ten_add_kg"
                                                                class="form-control ten_add_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Fifteen KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="fifteen_kg"
                                                                class="form-control fifteen_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Fifteen Add KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="fifteen_add_kg"
                                                                class="form-control fifteen_add_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Twenty KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="twenty_kg"
                                                                class="form-control twenty_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Twenty Add KG:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="twenty_add_kg"
                                                                class="form-control twenty_add_kg">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Country:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="country_id" class="form-control select2 country_id"
                                                                style="width: 100%;">
                                                                @foreach ($countries as $country)
                                                                    <option value="{{ $country->id }}">
                                                                        {{ $country->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group row">
                                                        <label for="local" class="col-md-12 col-form-label">Local</label>
                                                        <div class="col-md-12">
                                                            <label class="custom-switch pl-0" id="StatusToggleForm" style="margin-top: 5px;">
                                                                <input type="checkbox" name="local" id="local_check_uncheck" class="custom-switch-input">
                                                                <span class="custom-switch-indicator"></span>
                                                                <span class="custom-switch-description" id="localText">OFF</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                <div class="col-md-3">
                                                    @include('admin.layout.status')
                                                </div>

                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" id="btnSave" class="btn btn-primary">Save</button>
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>


                        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                            aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Confirm Delete</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you want to delete this record?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/price/price.js"></script>
@endpush
