@extends('admin.layout.master')
@section('page-title')
    Edit Role
@endsection

@section('main-content')
    <section class="content-header">
        <br> <br>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active">Edit Role</li>
        </ol>
    </section>
    <section class="content">
        <div class="box">
            <div class="box-header">
                @if (isset($errors))
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
            </div>
            <div class="box-body">
                <form action="{{ route('role.update', $role->id) }}" method="POST" class="card">
                    @csrf
                    @method('PUT')
                    <div class="card-header">
                        <h3 class="card-title">Edit Role</h3>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12 col-lg-12">
                                <div class="form-group">
                                    <label class="form-label">Name</label>
                                    <input type="text" class="form-control" name="name" placeholder="Name"
                                        value="{{ $role->name }}" required="required">
                                </div>
                            </div>
                        </div>
                        <div class="row">							
                            <div class="col-md-12 table-responsive" style="margin-top: 10px;">
                                <table class="table table-bordered table-responsive table-striped">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>View</th>
                                            <th>Create</th>
                                            <th>Edit</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    @foreach ($modules as $module)
                                        <input type="hidden" name="moduleid[{{ $module->id }}]"
                                            value="{{ $module->id }}">
                                        <tbody class="rolemodules">
                                            <tr>
                                                <td>{{ $module->name }}</td>
                                                <td>
                                                    <label class="custom-switch pl-0">

                                                        @php
                                                            
                                                            $key = array_search($module->id, array_column($role->permission, 'module_id'));
                                                            $checked = false;
                                                            if ($key > -1) {
                                                                if ($role->permission[$key]['pview'] == 1) {
                                                                    $checked = true;
                                                                }
                                                            }
                                                        @endphp
                                                        <input type="checkbox" name="view[{{ $module->id }}]"
                                                            value="{{ $checked ? 1 : 0 }}" {{ $checked ? 'checked' : '' }}
                                                            class="custom-switch-input" id="checkbox">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        @php
                                                            $key = array_search($module->id, array_column($role->permission, 'module_id'));
                                                            $checked = false;
                                                            if ($key > -1) {
                                                                if ($role->permission[$key]['pcreate'] == 1) {
                                                                    $checked = true;
                                                                }
                                                            }
                                                        @endphp
                                                        <input type="checkbox" name="create[{{ $module->id }}]"
                                                            value="{{ $checked ? 1 : 0 }}" {{ $checked ? 'checked' : '' }}
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        @php
                                                            $key = array_search($module->id, array_column($role->permission, 'module_id'));
                                                            $checked = false;
                                                            if ($key > -1) {
                                                                if ($role->permission[$key]['pedit'] == 1) {
                                                                    $checked = true;
                                                                }
                                                            }
                                                        @endphp
                                                        <input type="checkbox" name="edit[{{ $module->id }}]"
                                                            value="{{ $checked ? 1 : 0 }}" {{ $checked ? 'checked' : '' }}
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        @php
                                                            $key = array_search($module->id, array_column($role->permission, 'module_id'));
                                                            $checked = false;
                                                            if ($key > -1) {
                                                                if ($role->permission[$key]['pdelete'] == 1) {
                                                                    $checked = true;
                                                                }
                                                            }
                                                        @endphp
                                                        <input type="checkbox" name="delete[{{ $module->id }}]"
                                                            value="{{ $checked ? 1 : 0 }}" {{ $checked ? 'checked' : '' }}
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                            </tr>
                                        </tbody>
                                    @endforeach
                                </table>
                            </div>
                            <div class="mt-2 mb-0">
                                <button type="submit" class="btn btn-primary">Update</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
    </section>
@endsection
