@extends('admin.layout.master')
@section('page-title')
    View Role
@endsection

@section('main-content')
    <section class="content-header">
        <br> <br>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setting</a></li>
            <li class="active">Add Role</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="box">
            <div class="box-header">
                <div class="alert alert-success" style="display: none;"></div>
                <div class="">
                    <div class="input-group">
                        <div class="input-group-btn">                           
                            @if (isset(Auth::user()->hasPer('Role')['pcreate']) && Auth::user()->hasPer('Role')['pcreate'] == 1)
                                <a href="{{ route('role.create') }}" id="btnAdd" class="btn btn-success">Create</a>
                            @endif
                        </div>
                        <input type="text" name="q" id="txtsearch" class="form-control" placeholder="Search..."
                            aria-label="" aria-describedby="basic-addon1">
                    </div>                   
                </div>
                <div class="table-responsive" style="margin-top: 10px;">
                    <table class="table table-bordered table-responsive table-striped">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>User</th>
                                <th>ACTION</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($roles as $role)
                                <tr>
                                    <td>{{ $role->id }}</td>
                                    <td>{{ $role->name }}</td>
                                    <td>
                                        <form action="{{ route('role.destroy', $role->id) }}" method="POST">
                                            @csrf
                                            @method('DELETE')

                                            @if (isset(Auth::user()->hasPer('Role')['pedit']) && Auth::user()->hasPer('Role')['pedit'] == 1)
                                                <a href="{{ route('role.edit', $role->id) }}"
                                                    class="btn btn-info btn-flat btn-sm">
                                                    <i class="fa fa-edit fa-lg btn-info"></i>
                                                </a>
                                            @endif
                                            @if (isset(Auth::user()->hasPer('Role')['pdelete']) && Auth::user()->hasPer('Role')['pdelete'] == 1)
                                                <button type="submit" class="btn btn-danger btn-flat btn-sm singleDelete">
                                                    <i class="fas fa-trash fa-lg "></i>
                                                </button>
                                            @endif


                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div id="pagination_link"></div>
                <input type="text" name="currentpage" id="currentpage" style="display:none;" />


            </div>
            <!-- /.box-header -->
            <div class="box-body"></div>
            <!-- /.box-body -->
        </div>

    </section>
@endsection
@section('scripts')
@endsection
