@extends('admin.layout.master')
@section('page-title')
    Status
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Status
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Transaction</a></li>
            <li class="active"><a href="#">Status</a></li>
        </ol>
    </section>

    <section class="content">
        <div class="box">
            <div class="box-header" id="myModal">
                <div class="alert alert-success" style="display: none;"></div>
                <form id="status" >
                    @include('admin.layout.errorLayout')
                    {{-- @include('admin.layout.successLayout') --}}
                    @include('admin.layout.validationLayout')
                    <div class="row">
                        <div class="col-md-6 col-md-offset-1">
                            <div class="form-group">
                                <label>Consignment #:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-dropbox"></i>
                                    </div>
                                    <input type="text" name="cn_no" id="txtcn_no" class="form-control" value="">                            
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>&nbsp;</label>
                                <button type="button" id="btnsearch" class="btn btn-block btn-success btn-flat" style="">
                                    <span class="fa fa-search"></span> &nbsp; Search
                                </button>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
        
                    <div class="row">
                        <div class="col-md-3 col-md-offset-1">
                            <div class="form-group">
                                <label>Consignor:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-odnoklassniki"></i>
                                    </div>
                                    <input type="text" id="consignor_name" name="consignor_name" value="" class="form-control" readonly/>
                                    <input type="hidden" id="consignor_id" name="consignor_id" value="" class="form-control" readonly/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Origin City:</label>
        
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <input type="text" id="origin_city" name="origin_city" value="" class="form-control" readonly/>
                                    <input type="hidden" id="origin" name="orign" value="" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Consignee:</label>
        
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" id="consignee_name" name="consignee_name" value="" class="form-control" readonly/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3 col-md-offset-1">
                            <div class="form-group">
                                <label>Destination City:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <input type="text" id="destination_city" name="destination_city"  class="form-control" readonly=""/>
                                    <input type="hidden" id="destination" name="destination"  class="form-control"/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Date:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" name="status_date" value="<?php echo date('Y-m-d'); ?>" class="form-control pull-right" id="datepicker" required />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3 ">
                            <div class="form-group bootstrap timepicker">
                                <label>Time :</label>
        
                                <div class="input-group">
                                    <input type="text" name="status_time" class="form-control timepicker">
                                    <div class="input-group-addon">
                                        <i class="fa fa-clock-o"></i>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3 col-md-offset-1">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>Signed By:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="signby" class="form-control"/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Shipment Status:</label>
        
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-ship"></i>
                                    </div>
                                    <select class="form-control select2" name="status" style="width: 100%;">
                                        <option selected="selected" value="">-Select Shipment Status-</option>
                                       @foreach ($status as $status)
                                            <option value="{{ $status->status_id }}">{{ $status->status_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>Comments:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-comment"></i>
                                    </div>
                                    <input type="text" name="comments" class="form-control"/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                    <div class="row">                        
                        <div class="col-md-4 col-md-offset-1">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>Branch Code:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="branch_code" id="branch_code" class="form-control" readonly/>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-4 col-md-offset-1">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>&nbsp;</label>
                                <button type="button" id="btninsert" class="btn btn-block btn-success btn-flat btn-lg" style="">
                                    <span class="fa fa-save"></span> &nbsp; Update Status
                                </button>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                </form>
            </div>
            <!-- /.box-header -->
            <div class="table-responsive">
                <table id="example" class="table  table-bordered display nowrap">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Time</th>
                            <th>Status</th>                 
                            <th>Location</th>
                            <th>Comments</th>
                            <th>Branch Code</th>
                            <th>Action</th>
                        </tr>
                    </thead>                    
                </table>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->
        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">Confirm Delete</h4>
                    </div>
                    <div class="modal-body">
                        Do you want to delete this record?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/status/status.js"></script>
@endpush
