@extends('admin.layout.master')
@section('page-title')
    User Setup Form
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            User Form
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active"><a href="#">User</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <button type="button" id="delete_all_record" url="user/deleteAll"
                    class="btn btn-danger delete_all">Delete</button>
                @if (isset(Auth::user()->hasPer('User')['pcreate']) && Auth::user()->hasPer('User')['pcreate'] == 1)
                    <button type="button" class="btn btn-info create">Create</button>
                @endif
            </div>

            <div class="row">
                <div class="box-header">

                </div>
                <div class="col-sm-12">
                    @include('admin.layout.errorLayout')
                    @include('admin.layout.successLayout')
                    <div class="box-body">
                        <div class="table-responsive ">
                            <table id="example" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>
                                            <input type="checkbox" id="chk_select_all" name="chk_select_all"
                                                value="ALL" />
                                        </th>
                                        <th>S No</th>
                                        <th>UserName</th>
                                        <th>Role</th>
                                        <th>CN From</th>
                                        <th>CN To</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>


                        <div class="modal fade modalAdd" id="modalAdd" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="example-Modal3">New message</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form id="user">
                                        @include('admin.layout.validationLayout')
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>User Name: </label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-dropbox"></i>
                                                            </div>
                                                            <input type="hidden" name="id" class="form-control">
                                                            <input type="text" name="user_name"
                                                                class="form-control user_name" required>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Email: </label>

                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-envelope"></i>
                                                            </div>
                                                            <input type="text" name="email" class="form-control email"
                                                                required>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Role:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="role_id" class="form-control select2 role_id"
                                                                style="width: 100%;">
                                                                <option value="">---Select Role -----</option>
                                                                @foreach ($roles as $role)
                                                                    <option value="{{ $role->id }}">{{ $role->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Bramch:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="branch_id" class="form-control select2 branch_id"
                                                                style="width: 100%;">
                                                                <option value="">---Select Branch -----</option>
                                                                @foreach ($branches as $branch)
                                                                    <option value="{{ $branch->id }}">{{ $branch->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                                                            
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Password:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-dropbox"></i>
                                                            </div>
                                                            <input type="password" id="pass" name="password" class="form-control" >
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                
                                                <div class="col-md-3" id="pass_chk">
                                                    <div class="form-group">
                                                        <label> </label>
                                                        <div class="checkbox">
                                                            <label><input type="checkbox" name="pass_chk"
                                                                    value="Y">Password checkbox</label>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>

                                                <div class="col-md-3">
                                                    @include('admin.layout.status')
                                                </div>
                                                
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>CNO From:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-dropbox"></i>
                                                            </div>
                                                            <input type="text" name="cno_from"
                                                                class="form-control cno_from">
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>CNO To:</label>

                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-dropbox"></i>
                                                            </div>
                                                            <input type="text" name="cno_to"
                                                                class="form-control cno_to">
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4" id="cn_chk">
                                                    <div class="form-group">
                                                        <label> </label>
                                                        <div class="checkbox">
                                                            <label><input type="checkbox" name="cn_chk"
                                                                    value="Y">CN
                                                                Update Check This</label>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" id="btnSave" class="btn btn-primary">Save</button>
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                            aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Confirm Delete</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you want to delete this record?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/user/user.js"></script>
@endpush
