@extends('admin.layout.master')
@section('page-title')
    Setup Zone Form
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Setup Zone Form
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active"><a href="#">Zone</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <button type="button" id="delete_all_record" url="zone/deleteAll"
                    class="btn btn-danger delete_all">Delete</button>
                @if (isset(Auth::user()->hasPer('Zone')['pcreate']) && Auth::user()->hasPer('Zone')['pcreate'] == 1)
                    <button type="button" class="btn btn-info create">Create</button>
                @endif
            </div>

            <div class="row">
                <div class="box-header">

                </div>
                <div class="col-sm-12">
                    @include('admin.layout.errorLayout')
                    @include('admin.layout.successLayout')
                    <div class="box-body">
                        <div class="table-responsive ">
                            <table id="example" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>
                                            <input type="checkbox" id="chk_select_all" name="chk_select_all"
                                                value="ALL" />
                                        </th>
                                        <th>S No</th>
                                        <th>Zone ID</th>
                                        <th>Zone Name</th>
                                        <th>Country</th>
                                        <th>City</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>

                        <div class="modal fade modalAdd" id="modalAdd" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="example-Modal3">New message</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form id="zone">
                                        @include('admin.layout.validationLayout')
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Zone Name:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="hidden" name="id" class="id">
                                                            <input type="text" class="form-control zone_name"
                                                                name="zone_name" placeholder="Enter Zone Name" required>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Country:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-map-marker"></i>
                                                            </div>
                                                            <select name="country_id" class="form-control country_id"
                                                                style="width:100%;">
                                                                @foreach ($countries as $country)
                                                                    <option value="{{ $country->id }}">{{ $country->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>


                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>City:</label>
                                                        <div class="input-group" id="ddlcitymultiple">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-map-marker"></i>
                                                            </div>
                                                            <select name="city_id[]" id="ddlmulty"
                                                                class="form-control select2 city_id" multiple=""
                                                                style="width: 100%;">
                                                                @foreach ($cities as $city)
                                                                    <option value="{{ $city->id }}">{{ $city->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>

                                                        </div>
                                                        <div class="input-group" id="ddlcity">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-map-marker"></i>
                                                            </div>
                                                            <select name="citysingle" id="citysingle"
                                                                class="form-control select2 citysingle"
                                                                style="width: 100%;">
                                                                @foreach ($cities as $city)
                                                                    <option value="{{ $city->id }}">{{ $city->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-6">
                                                    @include('admin.layout.status')
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" id="btnSave" class="btn btn-primary">Save</button>
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>


                        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                            aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Confirm Delete</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you want to delete this record?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/zone/zone.js"></script>
@endpush
