<?php

// use App\Http\Controllers\Admin\CountryController;

use App\Http\Controllers\admin\Booking;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\admin\Dashboard;
use App\Http\Controllers\admin\LoginController;
use App\Http\Controllers\admin\Bagmanifest;
use App\Http\Controllers\admin\CodBillController;
use App\Http\Controllers\admin\DeliveryPodSheetController;
use App\Http\Controllers\admin\CodBillRecoveryController;
use App\Http\Controllers\admin\Forwarding;
use App\Http\Controllers\admin\StatusController;

// use App\Http\Controllers\admin\RoleController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/
Route::group(['prefix' => 'admin', 'namespace' => 'admin','middleware'=>['auth']], function(){ //,'prevent-back-history'
    Route::resource('role', RoleController::class);

    Route::resource('user','UserController');
    Route::post('user/deleteAll','UserController@deleteAll');
	Route::post('user/rec_update','UserController@rec_update');

	Route::resource('country','CountryController');
    Route::post('country/deleteAll','CountryController@deleteAll');
	Route::post('country/rec_update','CountryController@rec_update');

    Route::resource('city','CityController');
	Route::post('city/deleteAll','CityController@deleteAll');
	Route::post('city/rec_update','CityController@rec_update');

    Route::resource('service','ServiceController');
	Route::post('service/deleteAll','ServiceController@deleteAll');
	Route::post('service/rec_update','ServiceController@rec_update');

    Route::resource('designation','DesignationController');
	Route::post('designation/deleteAll','DesignationController@deleteAll');
	Route::post('designation/rec_update','DesignationController@rec_update');

    Route::resource('staff','StaffController');
	Route::post('staff/deleteAll','StaffController@deleteAll');
	Route::post('staff/rec_update','StaffController@rec_update');

    Route::resource('customer','CustomerController');
	Route::post('customer/deleteAll','CustomerController@deleteAll');
	Route::post('customer/rec_update','CustomerController@rec_update');
	Route::get('customers/maxCnNo','CustomerController@maxCnNo')->name('maxCnNo');	
	Route::get('getCustomerWiseService/{customer_id}','CustomerController@getCustomerWiseService')->name('getCustomerWiseService');
	

	Route::get('customer_login','CustomerController@customer_login')->name('customer.customer_login');	
	Route::get('login_show','CustomerController@login_show');		
	Route::post('customer_login_update','CustomerController@customer_login_update');
	Route::get('customer_login_edit/{id}','CustomerController@customer_login_edit');	
	Route::post('customer_login_status','CustomerController@customer_login_status');

    Route::resource('branch','BranchController');
	Route::post('branch/deleteAll','BranchController@deleteAll');
	Route::post('branch/rec_update','BranchController@rec_update');

    Route::resource('branch_asign_city','BranchAsignCityController');
	Route::post('branch_asign_city/deleteAll','BranchAsignCityController@deleteAll');
	Route::post('branch_asign_city/rec_update','BranchAsignCityController@rec_update');

    Route::resource('route','RouteController');
	Route::post('route/deleteAll','RouteController@deleteAll');
	Route::post('route/rec_update','RouteController@rec_update');

    Route::resource('charges','ChargesController');
	Route::post('charges/deleteAll','ChargesController@deleteAll');
	Route::post('charges/rec_update','ChargesController@rec_update');

    Route::resource('zone','ZoneController');
	Route::post('zone/deleteAll','ZoneController@deleteAll');
	Route::post('zone/rec_update','ZoneController@rec_update');	
	Route::get('getCityIDs','ZoneController@getCityIDs');
	Route::get('getCityEditIDs/{id}','ZoneController@getCityEditIDs');
	

	Route::resource('price','PriceController');
	Route::post('price/deleteAll','PriceController@deleteAll');
	Route::post('price/rec_update','PriceController@rec_update');

	Route::resource('vehicle_wise_price','VehicleWPriceController');
	Route::post('vehicle_wise_price/deleteAll','VehicleWPriceController@deleteAll');
	Route::post('vehicle_wise_price/rec_update','VehicleWPriceController@rec_update');
    
    // Route::get("role",[RoleController::class,'index'])->name('role');
    // Route::get("role/create",[RoleController::class,'create'])->name('role.create');
    // Route::get("role/destroy",[RoleController::class,'destroy'])->name('role.destroy');
    // Route::get("role/edit",[RoleController::class,'edit'])->name('role.edit');
    // Route::get("role/store",[RoleController::class,'store'])->name('role.store');

	Route::get("booking",[Booking::class,'index'])->name('booking');;
	
	Route::get('getParcelPrice/{consignor_id}/{service_id}/{consignor_country?}/{consignor_city?}/{consignee_country?}/{consignee_city?}','Booking@getParcelPrice');
	Route::get('dailysheet','Booking@dailysheet')->name('dailysheet');	
	Route::get('dailysheet/show/{cn_no?}/{city_id?}/{from_city_id?}/{customer_id?}/{payment_mode?}/{status?}/{branch_id?}/{reservation?}','Booking@dailysheet_show')->name('dailysheet_show');	
	Route::post('addBooking','Booking@addBooking');
	Route::post('updateBooking','Booking@updateBooking');	

	Route::get("bagmanifest/nextstep",[Bagmanifest::class,'nextstep'])->name('bagmanifest');	
	Route::get("bagmanifest",[Bagmanifest::class,'index'])->name('bagmanifest');
	Route::get('bagmanifest/show/{orign_filter?}/{destination_filter?}/{branch_filter?}/{reservation?}','Bagmanifest@show')->name('show');		
	Route::post('bagmanifest/addCN','Bagmanifest@addBMTempTable');	
	Route::get('bagmanifest/showTempRecord','Bagmanifest@showTempRecord')->name('showTempRecord');
	Route::get('bagmanifest/sealMaxNumber','Bagmanifest@sealMaxNumber')->name('sealMaxNumber');	
	Route::post('bagmanifest/addBM','Bagmanifest@addBM');
	Route::get("bagmanifest/BagmanifestReport",[Bagmanifest::class,'BagmanifestReport'])->name('BagmanifestReport');
	Route::post('bagmanifest/getSealNo','Bagmanifest@getSealNo');
	Route::post('bagmanifest/getBagmanifestReport','Bagmanifest@getBagmanifestReport');	

	Route::get("forwarding/nextstep",[Forwarding::class,'nextstep'])->name('forwarding');
	Route::get("forwarding",[Forwarding::class,'index'])->name('forwarding');
	Route::get('forwarding/show/{customer_filter?}/{orign_filter?}/{destination_filter?}/{branch_filter?}/{reservation?}','Forwarding@show')->name('show');
	Route::post('forwarding/addCN','Forwarding@addBMTempTable');	
	Route::get('forwarding/showFTempRecord','Forwarding@showFTempRecord')->name('showFTempRecord');	
	Route::post('forwarding/addFW','Forwarding@addFW');
	Route::get("forwarding/forwardingReport",[Forwarding::class,'ForwardingReport'])->name('forwardingReport');
	Route::post('forwarding/getForwardingReport','Forwarding@getForwardingReport');	
	
	
	Route::resource('status','StatusController');		
	Route::get("BarcodeStatus",[StatusController::class,'StatusBarcode'])->name('BarcodeStatus');
	Route::post('status/deleteAll','StatusController@deleteAll');
	Route::post('status/rec_update','StatusController@rec_update');
	Route::post('status/addBarcodStatus','StatusController@addBarcodStatus');	
	Route::get('status/getAllStatusByCN/{cn_no}','StatusController@getAllStatusByCN');	
	Route::get('status/showStatusByCN/{cn_no}','StatusController@showStatusByCN');	

	Route::get("cod_bill/nextstep",[CodBillController::class,'nextstep'])->name('cod_bill');
	Route::get("cod_bill",[CodBillController::class,'index'])->name('cod_bill');
	Route::get('cod_bill/show/{customer_filter?}/{destination_filter?}/{reservation?}','CodBillController@show')->name('show');
	Route::post('cod_bill/addCN','CodBillController@addBMTempTable');	
	Route::get('cod_bill/showCodTempRecord','CodBillController@showCodTempRecord')->name('showCodTempRecord');	
	Route::post('cod_bill/addCod','CodBillController@addCod');
	Route::get("cod_bill/CodBillReport",[CodBillController::class,'CodBillReport'])->name('CodBillReport');	
	Route::get('cod_bill/getCodBillReport/{consignor_id}/{month_name}','CodBillController@getCodBillReport');
	Route::get('cod_bill/getBillingMonths/{consignor_id}','CodBillController@getBillingMonths');
	Route::get('cod_bill/getBillingMonthDate/{consignor_id}/{month_name}','CodBillController@getBillingMonthDate');	


	Route::get("cod_bill_recovery/nextstep",[CodBillRecoveryController::class,'nextstep'])->name('cod_bill_recovery');
	Route::get("cod_bill_recovery",[CodBillRecoveryController::class,'index'])->name('cod_bill_recovery');
	Route::get('cod_bill_recovery/show/{branch_filter?}/{destination_filter?}/{reservation?}','CodBillRecoveryController@show')->name('show');
	Route::post('cod_bill_recovery/addCN','CodBillRecoveryController@addBMTempTable');	
	Route::get('cod_bill_recovery/showCodRecTempRecord','CodBillRecoveryController@showCodRecTempRecord')->name('showCodRecTempRecord');
	Route::post('cod_bill_recovery/addCod','CodBillRecoveryController@addCod');		

	Route::get("cod_bill_recovery/CodBillRecoveryReport",[CodBillRecoveryController::class,'CodBillRecoveryReport'])->name('CodBillRecoveryReport');
	Route::get('cod_bill_recovery/getCodBillRecoveryReport/{consignor_id}/{month_name}','CodBillRecoveryController@getCodBillReport');
	Route::get('cod_bill_recovery/getBillingMonths/{branch_id}','CodBillRecoveryController@getBillingMonths');
	Route::get('cod_bill_recovery/getBillingMonthDate/{branch_id}/{month_name}','CodBillRecoveryController@getBillingMonthDate');	
	Route::get('cod_bill_recovery/getCodBillReport/{branch_id}/{month_name}','CodBillRecoveryController@getCodBillReport');
	

	Route::resource('payment','PaymentController');	

	Route::get("deliverySheet/nextstep",[DeliveryPodSheetController::class,'nextstep'])->name('deliverySheet');	
	Route::get("deliverySheet",[DeliveryPodSheetController::class,'index'])->name('deliverySheet');	
	Route::get('deliverySheet/show/{customer_filter?}/{destination_filter?}/{reservation?}','DeliveryPodSheetController@show')->name('show');
	Route::post('deliverySheet/addCN','DeliveryPodSheetController@addBMTempTable');	
	Route::get('deliverySheet/showDeliveryTempRecord','DeliveryPodSheetController@showDeliveryTempRecord')->name('showDeliveryTempRecord');
	Route::get('deliverySheet/sheetMaxNumber','DeliveryPodSheetController@sheetMaxNumber')->name('sheetMaxNumber');	
	Route::post('deliverySheet/addDeliverySheet','DeliveryPodSheetController@addDeliverySheet');
	// Route::get("cod_bill/CodBillReport",[CodBillController::class,'CodBillReport'])->name('CodBillReport');	
	// Route::get('cod_bill/getCodBillReport/{consignor_id}/{month_name}','CodBillController@getCodBillReport');
	// Route::get('cod_bill/getBillingMonths/{consignor_id}','CodBillController@getBillingMonths');
	// Route::get('cod_bill/getBillingMonthDate/{consignor_id}/{month_name}','CodBillController@getBillingMonthDate');	
});


Route::get("Dashboard",[Dashboard::class,'index'])->name('Dashboard');;
Route::get("admin/login",[LoginController::class,'index'])->name('login');
Route::post("admin/login/logincheck",[LoginController::class,'postLogin']);


Route::get('/',[LoginController::class,'index'])->name('login');

// Route::get("country",[CountryController::class,'index'])->name('country');;
// Route::post("country/store",[CountryController::class,'store']);
// Route::get("country/show",[CountryController::class,'show']);
// Route::get("country/destroy/{id}",[CountryController::class,'delete']);
// Auth::routes();
// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
